Bug 110277 - GPU hang ecode 9:0:0x84dfbefc
Summary: GPU hang ecode 9:0:0x84dfbefc
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-28 18:38 UTC by bugtracker@othram.com
Modified: 2019-05-03 14:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
output of lspci -vvn and /sys/class/drm/card0/error (772.83 KB, text/plain)
2019-03-28 18:38 UTC, bugtracker@othram.com
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugtracker@othram.com 2019-03-28 18:38:10 UTC
Created attachment 143802 [details]
output of lspci -vvn and /sys/class/drm/card0/error

First bug report in a loooong time, so please forgive any novice mistakes. About once a week or so I will receive the following log entries:

18.586285] [drm] GPU HANG: ecode 9:0:0x84dfbefc, in Xorg [4800], reason: Hang on render ring, action: reset
Mar 28 10:37:35 ispy kernel: [151918.586288] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Mar 28 10:37:35 ispy kernel: [151918.586289] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Mar 28 10:37:35 ispy kernel: [151918.586290] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Mar 28 10:37:35 ispy kernel: [151918.586292] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Mar 28 10:37:35 ispy kernel: [151918.586293] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Mar 28 10:37:35 ispy kernel: [151918.586361] drm/i915: Resetting chip after gpu hang
Mar 28 10:37:47 ispy kernel: [151930.617861] drm/i915: Resetting chip after gpu hang

The only consistent action that I can correlate is this always happens after engaging xscreensaver. It does not appear to be related to a particular screensaver though (I have my system set to pick a random one every time). I have never caught it in the act. My first clue is returning to the system to find that my session has been logged out and I am presented with the login screen. My system is a Librem 15, V3. Additional information:

# uname -a
Linux mybox 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64 GNU/Linux

# cat /etc/debian_version 
9

# cat /etc/os-release
PRETTY_NAME="Devuan GNU/Linux ascii"
NAME="Devuan GNU/Linux"
ID=devuan
ID_LIKE=debian
HOME_URL="https://www.devuan.org/"
SUPPORT_URL="https://devuan.org/os/community"
BUG_REPORT_URL="https://bugs.devuan.org/"


contents of lspci -vvn attached, as is /sys/class/drm/card0/error. I will be happy to provide any additional requested information.

KR
Patrick Krepps
Comment 1 bugtracker@othram.com 2019-03-28 18:45:51 UTC
I just realized that I omitted monitor information. This has happened since I installed the OS. I originally had an older Asus monitor attached (I do not have access to the model information at the moment, but I can get it later today).

I am now using a LG 34UM69 at 2560x1080R (since 07 March), but the behavior that I have witnessed has been consistent with both monitors.
Comment 2 Denis 2019-03-29 10:20:30 UTC
hi, thanks for the report. Could you please provide please output from "glxinfo -B" (part of mesa-utils package) and "sudo Xorg -version".
It would be helpful.

And the last question - did you find this just now or it is long time issue? I mean, if it started recently, please try to recollect - what system changed did you do (like package updates, for example).
Comment 3 bugtracker@othram.com 2019-03-29 17:46:03 UTC
Hello, and you're welcome. Thanks for taking the time to look into this. The
requested command outputs are included below my comments.

To answer your question, this has been ongoing since I installed Devuan, in
November. In fact while I was in the process of getting it all set up*, prior
to ever connecting to any network, it happened overnight. I remember engaging
the screensaver while I had a file copy job running in a screen session, and
when I awoke the next morning I found myself at the log in screen.

The problem seems to occur about once a week, to once every two weeks. I have
yet to discern a pattern other than it always happens after the screensaver has
kicked in. I should have taken action earlier, but other priorities kept coming
up.

But... I've had this system since August, 2018. After receiving it, I installed
Gentoo on it, which is what it operated on until November. I never experienced
problems of this type with that install. I actually have that system still
available because when I moved to Devuan I did so by swapping in a new HDD. I
have the Gentoo drive installed in an external USB housing and can boot back
into it if you think there will be any value in that.

Finally, this is probably un-important, but I promised to get the model of the
previous external monitor. It was an Asus VS? 247, where ? was either a G or an
X. If this information is important I can  get additional details.

Regards,
Patrick

* I install and configure things like logcheck, tripwire, iptables, etc. prior
to going live. The problem first manifested itself during that process, probably
about the second or third day of working on it. I chalked that one up to
something dumb that I had done because I wasn't monitoring system logs that
closely at that point.


# Requested outputs:
$ glxinfo -B
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2)  (0x1916)
    Version: 13.0.6
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2) 
OpenGL core profile version string: 4.5 (Core Profile) Mesa 13.0.6
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 3.0 Mesa 13.0.6
OpenGL shading language version string: 1.30
OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 13.0.6
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20


$sudo Xorg -version
X.Org X Server 1.19.2
Release Date: 2017-03-02
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.9.0-8-amd64 x86_64 Debian
Current Operating System: Linux ispy 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-4.9.0-8-amd64 root=UUID=c9e0a4af-6954-4d80-bb30-394b9e4f9f9c ro quiet net.ifnames=0 biosdevname=0
Build Date: 03 November 2018  03:09:11AM
xorg-server 2:1.19.2-1+deb9u5 (https://www.debian.org/support) 
Current version of pixman: 0.34.0
   Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
Comment 4 Denis 2019-04-01 07:43:44 UTC
thanks for detailed information.
About provided data:

>OpenGL ES profile version string: OpenGL ES 3.2 Mesa 13.0.6

this is really very old mesa version. As I understand, you are using debian stable branch. I would suggest you to update at least mesa from debian unstable
https://packages.debian.org/source/sid/mesa
Because current "up-to-date" version is exactly 18.3.4 There were a lot of fixes since 13.0.6

Then - simply continue use your system and track this issue.
Comment 5 bugtracker@othram.com 2019-04-01 20:27:03 UTC
I will be happy to update the mesa packages. I'm used to Debian stable being behind, and I probably should have thought to do that first. But then, if this resolves the issue, the next person will know what to do.

It might be a couple of days before I can. I will update this report when I have done that.

Thanks!
Comment 6 bugtracker@othram.com 2019-04-06 21:36:12 UTC
I have upgraded to 18.2.8, which is the latest version in the Devuan backports repo. Before and after information included below. If the problem has indeed been addressed in something later than 13.0.6 then I have hopes that 18.2.8 is adequate as I did not experience the problem with Gentoo, and that install was at version 18.1.<something>. However, if the problem comes back I will see what it takes to go to 18.3.4.

Since the problem occurs infrequently, but generally on the order of weekly, let's see if I can go two weeks. I will update the report then, or sooner if need be.

Thanks!

$ dpkg -l | grep mesa
ii  libegl1-mesa:amd64          13.0.6-1+b2      amd64  free implementation of the EGL API -- runtime
ii  libgl1-mesa-dri:amd64       13.0.6-1+b2      amd64  free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx:amd64       13.0.6-1+b2      amd64  free implementation of the OpenGL API -- GLX runtime
ii  libglapi-mesa:amd64         13.0.6-1+b2      amd64  free implementation of the GL API -- shared library
ii  libglu1-mesa:amd64          9.0.0-2.1        amd64  Mesa OpenGL utility library (GLU)
ii  libwayland-egl1-mesa:amd64  13.0.6-1+b2      amd64  implementation of the Wayland EGL platform -- runtime
ii  mesa-utils                  8.3.0-3          amd64  Miscellaneous Mesa GL utilities
ii  mesa-va-drivers:amd64       13.0.6-1+b2      amd64  Mesa VA-API video acceleration drivers
ii  mesa-vdpau-drivers:amd64    13.0.6-1+b2      amd64  Mesa VDPAU video acceleration drivers

apt-get -t ascii-backports install libegl1-mesa libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libglu1-mesa libwayland-egl1-mesa mesa-utils mesa-va-drivers mesa-vdpau-drivers

$ dpkg -l | grep mesa
ii  libegl-mesa0:amd64          18.2.8-2~bpo9+1  amd64  free implementation of the EGL API -- Mesa vendor library
ii  libegl1-mesa:amd64          18.2.8-2~bpo9+1  amd64  transitional dummy package
ii  libgl1-mesa-dri:amd64       18.2.8-2~bpo9+1  amd64  free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx:amd64       18.2.8-2~bpo9+1  amd64  transitional dummy package
ii  libglapi-mesa:amd64         18.2.8-2~bpo9+1  amd64  free implementation of the GL API -- shared library
ii  libglu1-mesa:amd64          9.0.0-2.1        amd64  Mesa OpenGL utility library (GLU)
ii  libglx-mesa0:amd64          18.2.8-2~bpo9+1  amd64  free implementation of the OpenGL API -- GLX vendor library
ii  libwayland-egl1-mesa:amd64  18.2.8-2~bpo9+1  amd64  transitional dummy package
ii  mesa-utils                  8.3.0-3          amd64  Miscellaneous Mesa GL utilities
ii  mesa-va-drivers:amd64       18.2.8-2~bpo9+1  amd64  Mesa VA-API video acceleration drivers
ii  mesa-vdpau-drivers:amd64    18.2.8-2~bpo9+1  amd64  Mesa VDPAU video acceleration drivers
Comment 7 bugtracker@othram.com 2019-04-11 17:13:21 UTC
Well phooey. I did the update to 18.2.8 on Thursday of last week. On Monday I started experiencing issues with the monitor intermittently going dark for a second or so, but was unable to correlate it with any particular activity. This has happened at random times in the past, but quite infrequently. On Monday it became frequent, as in several times per day. It is almost always the external monitor, but the laptop monitor does get hit every once in a while. I do not recall this happening prior to the Devuan install.

On Tuesday I updated the kernel to 4.19.0 (4.19.0-0.bpo.2-amd64), but still had the intermittent monitor issue. Yesterday afternoon I had a GPU hang error reported, but it did not log me out of my X session this time. The code is also not quite the same this time: 9:0:0x85dffffb

I will update to 18.3.4, but probably won't have a chance to that for a few days. In the meantime, I'm including the log entries and the output of /sys/class/drm/card0/error again.

Again, happy to provide any additional information.

Patrick

# Log output:
Apr 10 16:25:28 ispy kernel: [12005.068350] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Xorg [4893], reason: hang on rcs0, action: reset
Apr 10 16:25:28 ispy kernel: [12005.069386] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0


# error:
GPU HANG: ecode 9:0:0x85dffffb, in Xorg [4893], reason: hang on rcs0, action: reset
Kernel: 4.19.0-0.bpo.2-amd64
Time: 1554931528 s 800488 us
Boottime: 12005 s 83560 us
Uptime: 11991 s 992512 us
Epoch: 4297892000 jiffies (250 HZ)
Capture: 4297893496 jiffies; 636612 ms ago, 5984 ms after epoch
Active process (on ring rcs0): Xorg [4893], score 0
Reset count: 0
Suspend count: 0
Platform: SKYLAKE
PCI ID: 0x1916
PCI Revision: 0x07
PCI Subsystem: 8086:2015
IOMMU enabled?: 0
DMC loaded: no
DMC fw version: 0.0
GT awake: yes
RPM wakelock: yes
PM suspended: no
EIR: 0x00000000
IER: 0x08080000
GTIER[0]: 0x01010101
GTIER[1]: 0x01010101
GTIER[2]: 0x00000070
GTIER[3]: 0x00000101
PGTBL_ER: 0x00000000
FORCEWAKE: 0x00010001
DERRMR: 0x2077efef
CCID: 0x00000000
Missed interrupts: 0x00000000
  fence[0] = 84400000844003
  fence[1] = 3000000030003
  fence[2] = 82900000829003
  fence[3] = 8f8000008f8003
  fence[4] = 83400000834003
  fence[5] = 8a2000008a2003
  fence[6] = 89e0000089e003
  fence[7] = 86100000861003
  fence[8] = 8a1000008a1003
  fence[9] = 8ca000008ca003
  fence[10] = 85d0000085d003
  fence[11] = 91a00100919003
  fence[12] = 88600100885003
  fence[13] = 89c00300899003
  fence[14] = 2e0000002e003
  fence[15] = 3100000031003
  fence[16] = 8ae003008ab003
  fence[17] = 91d0000091c003
  fence[18] = 90700000906003
  fence[19] = 89200000891003
  fence[20] = 1f0000001f003
  fence[21] = 83c0000083b003
  fence[22] = 265808b01240001
  fence[23] = 83500000835003
  fence[24] = 9100000090f003
  fence[25] = 89d0000089d003
  fence[26] = 83e0000083e003
  fence[27] = 3400000034003
  fence[28] = 1900000019003
  fence[29] = 3d0000003d003
  fence[30] = 1400000014003
  fence[31] = 85700000857003
ERROR: 0x00000000
FAULT_TLB_DATA: 0x0000001f 0xf5a643cf
DONE_REG: 0x07ffffff
rcs0 command stream:
  IDLE?: no
  START: 0x00009000
  HEAD:  0x00201360 [0x00001320]
  TAIL:  0x00001430 [0x00001380, 0x000013a8]
  CTL:   0x00003001
  MODE:  0x00000000
  HWS:   0xfffcf000
  ACTHD: 0x0000ffff e6040a78
  IPEIR: 0x00000000
  IPEHR: 0x7a000004
  INSTDONE: 0xffdfffff
  SC_INSTDONE: 0xffffd1ff
  SAMPLER_INSTDONE[0][0]: 0xffffffff
  SAMPLER_INSTDONE[0][1]: 0xffffffff
  SAMPLER_INSTDONE[0][2]: 0xffffffff
  ROW_INSTDONE[0][0]: 0xfffffff5
  ROW_INSTDONE[0][1]: 0xff5ffff5
  ROW_INSTDONE[0][2]: 0xfffffff5
  batch: [0x0000ffff_e603c000, 0x0000ffff_e6046000]
  BBADDR: 0x0000ffff_e6040a79
  BB_STATE: 0x00000020
  INSTPS: 0x00009080
  INSTPM: 0x00000000
  FADDR: 0x0000ffff e6040c00
  RC PSMI: 0x00000010
  FAULT_REG: 0x00000000
  SYNC_0: 0x00000000
  SYNC_1: 0x00000000
  SYNC_2: 0x00000000
  GFX_MODE: 0x00008000
  PDP0: 0x0000000462dd0000
  PDP1: 0x0000000000000000
  PDP2: 0x0000000000000000
  PDP3: 0x0000000000000000
  seqno: 0x00354f85
  last_seqno: 0x00354f88
  waiting: no
  ring->head: 0x000012f8
  ring->tail: 0x00001430
  hangcheck stall: yes
  hangcheck action: dead
  hangcheck action timestamp: 0ms (4297892000; epoch)
  engine reset count: 0
  ELSP[0]:  pid 4893, ban score 0, seqno        3:00354f87, prio 0, emitted -648ms, start 00009000, head 000013a8, tail 00001430
  ELSP[1]:  pid 20033, ban score 0, seqno        6:00354f88, prio 0, emitted -648ms, start 008af000, head 00002690, tail 00002710
  Active context: Xorg[4893] user_handle 1 hw_id 3, prio 0, ban score 0 guilty 0 active 0
bcs0 command stream:
  IDLE?: yes
  START: 0x00003000
  HEAD:  0x00000038 [0x00000000]
  TAIL:  0x00000038 [0x00000000, 0x00000000]
  CTL:   0x00000000
  MODE:  0x00000200
  HWS:   0xfffc8000
  ACTHD: 0x00000000 00000038
  IPEIR: 0x00000000
  IPEHR: 0x00000000
  INSTDONE: 0xfffffffe
  BBADDR: 0x00000000_00000000
  BB_STATE: 0x00000020
  INSTPS: 0x00000001
  INSTPM: 0x00000000
  FADDR: 0x00000000 00000000
  RC PSMI: 0x00000010
  FAULT_REG: 0x00000000
  SYNC_0: 0x00000000
  SYNC_1: 0x00000000
  SYNC_2: 0x00000000
  GFX_MODE: 0x00008000
  PDP0: 0x0000000000000000
  PDP1: 0x0000000000000000
  PDP2: 0x0000000000000000
  PDP3: 0x0000000000000000
  seqno: 0x00000002
  last_seqno: 0x00000002
  waiting: no
  ring->head: 0x00000000
  ring->tail: 0x00000000
  hangcheck stall: no
  hangcheck action: idle
  hangcheck action timestamp: 5984ms (4297893496)
  engine reset count: 0
  Active context: [0] user_handle 0 hw_id 0, prio 0, ban score 0 (unbannable) guilty 0 active 0
vcs0 command stream:
  IDLE?: yes
  START: 0x00005000
  HEAD:  0x00000038 [0x00000000]
  TAIL:  0x00000038 [0x00000000, 0x00000000]
  CTL:   0x00000000
  MODE:  0x00000200
  HWS:   0xfffc1000
  ACTHD: 0x00000000 00000038
  IPEIR: 0x00000000
  IPEHR: 0x00000000
  INSTDONE: 0xfffffffe
  BBADDR: 0x00000000_00000000
  BB_STATE: 0x00000020
  INSTPS: 0x00000001
  INSTPM: 0x00000000
  FADDR: 0x00000000 00000000
  RC PSMI: 0x00000010
  FAULT_REG: 0x00000000
  SYNC_0: 0x00000000
  SYNC_1: 0x00000000
  SYNC_2: 0x00000000
  GFX_MODE: 0x00008000
  PDP0: 0x0000000000000000
  PDP1: 0x0000000000000000
  PDP2: 0x0000000000000000
  PDP3: 0x0000000000000000
  seqno: 0x00000002
  last_seqno: 0x00000002
  waiting: no
  ring->head: 0x00000000
  ring->tail: 0x00000000
  hangcheck stall: no
  hangcheck action: idle
  hangcheck action timestamp: 5984ms (4297893496)
  engine reset count: 0
  Active context: [0] user_handle 0 hw_id 0, prio 0, ban score 0 (unbannable) guilty 0 active 0
vecs0 command stream:
  IDLE?: yes
  START: 0x00007000
  HEAD:  0x00000038 [0x00000000]
  TAIL:  0x00000038 [0x00000000, 0x00000000]
  CTL:   0x00000000
  MODE:  0x00000200
  HWS:   0xfffba000
  ACTHD: 0x00000000 00000038
  IPEIR: 0x00000000
  IPEHR: 0x00000000
  INSTDONE: 0xfffffffe
  BBADDR: 0x00000000_00000000
  BB_STATE: 0x00000020
  INSTPS: 0x00000001
  INSTPM: 0x00000000
  FADDR: 0x00000000 00000000
  RC PSMI: 0x00000010
  FAULT_REG: 0x00000000
  SYNC_0: 0x00000000
  SYNC_1: 0x00000000
  SYNC_2: 0x00000000
  GFX_MODE: 0x00008000
  PDP0: 0x0000000000000000
  PDP1: 0x0000000000000000
  PDP2: 0x0000000000000000
  PDP3: 0x0000000000000000
  seqno: 0x00000002
  last_seqno: 0x00000002
  waiting: no
  ring->head: 0x00000000
  ring->tail: 0x00000000
  hangcheck stall: no
  hangcheck action: idle
  hangcheck action timestamp: 5984ms (4297893496)
  engine reset count: 0
  Active context: [0] user_handle 0 hw_id 0, prio 0, ban score 0 (unbannable) guilty 0 active 0
Active (rcs0) [28]:
    0000ffff_f7001000     4096 3e 02 00 dirty LLC
    00000000_f8008000    32768 3f 00 00 dirty LLC
    0000ffff_c3a00000 20971520 3e 02 00 X dirty rcs0 uncached
    0000ffff_f4100000   524288 3f 00 00 dirty LLC
    0000ffff_e603c000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8028000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d0060000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e60b4000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8020000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d00a0000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e6046000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8038000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d0040000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e6014000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8040000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d00c0000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e601e000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8048000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d0070000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e6028000    40960 3e 00 00 dirty purgeable LLC
    00000000_f8018000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d00b0000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e6050000    40960 3e 00 00 dirty LLC
    00000000_f8030000    32768 3f 00 00 dirty purgeable LLC
    0000ffff_d0030000    65536 3f 00 00 dirty purgeable LLC
    0000ffff_e600a000    40960 3e 00 00 dirty LLC
    00000000_f8000000    32768 3f 00 00 dirty LLC
    0000ffff_d0020000    65536 3f 00 00 dirty LLC
Pinned (global) [28]:
    00000000_fffff000     4096 41 00 00 LLC
    00000000_ffffe000     4096 01 01 00 LLC
    00000000_fffe7000    94208 40 40 00 dirty LLC
    00000000_00001000     4096 40 40 00 dirty LLC
    00000000_fffd0000    94208 40 40 00 dirty LLC
    00000000_00002000     4096 40 40 00 dirty LLC
    00000000_fffcf000     4096 01 01 00 purgeable LLC
    00000000_fffcc000    12288 40 40 00 dirty LLC
    00000000_00003000     4096 40 40 00 dirty LLC
    00000000_fffc9000    12288 40 40 00 dirty LLC
    00000000_00004000     4096 40 40 00 dirty LLC
    00000000_fffc8000     4096 01 01 00 purgeable LLC
    00000000_fffc5000    12288 40 40 00 dirty LLC
    00000000_00005000     4096 40 40 00 dirty LLC
    00000000_fffc2000    12288 40 40 00 dirty LLC
    00000000_00006000     4096 40 40 00 dirty LLC
    00000000_fffc1000     4096 01 01 00 purgeable LLC
    00000000_fffbe000    12288 40 40 00 dirty LLC
    00000000_00007000     4096 40 40 00 dirty LLC
    00000000_fffbb000    12288 40 40 00 dirty LLC
    00000000_00008000     4096 40 40 00 dirty LLC
    00000000_fffba000     4096 01 01 00 purgeable LLC
    00000000_fffa3000    94208 40 40 00 dirty LLC
    00000000_00009000    16384 40 40 00 dirty LLC
    00000000_00040000  8294400 41 00 00 uncached
    00000000_01240000 20971520 3e 02 00 X dirty rcs0 uncached (fence: 22)
    00000000_fff8c000    94208 40 40 00 dirty LLC
    00000000_008af000    16384 40 40 00 dirty LLC
rcs0 (submitted by Xorg [4893], ctx 1 [3], score 0) --- gtt_offset = 0x0000ffff e603c000
:h!LVV<82K9TC<(*8kF8o\nO!r@7ogo*!H$r_[`*bW]cB&jP`]F]qlDF*"3<>d>@44-iG*GSOXWT]o01`UaTjAaljm5noghdf5$uMhgRM9<lCaNZ9FD"P8&/R_kka1d:>\K65j%mp2m5K<%%OlI&p8CZ*]"E(oJUs\sK%#.OAkGr@F9-X7*!W)g,'C\(#F)hdPWQ<]cVh\@HFWBS\Ua=ImVAo8fe%[JquCrp@C8Rt'Zac0s,gS$)eWrqVIN099g)9d".QlN_dj]#!8VCYP)c:5O=-IJ_i.:;'p\#qjPidp\o`c+TB951?Stkqoj1gY:)jFo6rdX?X1plRfs"/+pt`htF'L+1=g$3!M=,fJ`%7BpCHIqT?)'QbN&9QgR"6R.d[,SQu;(WPa0'iI/(2IWG/eeN"5@nU:j\9[b(%FKOl<d/r=]7geK"c4'I`&Br2@gZb;8[eb?9QKOWXbB)@3=LUC+\?('L5Hq)7^U)fX\(U0"^aME%+(f5YM'M?o&$VdVI>6We&`*$`p'56sBch1\lj04q[E6#/ar[muDdZAMq2;u)<;$>n0&Fe"P<JmOq[.]&O0dB&A)Bb*jNmaQm*-R<P<FI[HO>P\qZ_BO"UF0Jm*.?=,^k52p(U<-YZpHK42,+k9E0El?M^Ad?pslJk#5X5HM2d\$TZX6d%?il'lTK6]k'uITX*tOT(XK!I=OMubUrN-]Uo.a]pYY/&neErhdK@YqZXZe"UF0Jm*.?=,^k52p(U<-I@cJe4nM8-fEJnL-eXqYo=fPQh4K,+J_tC00)H$ifEGLAHS7fdHfuZcYc#0kp3RRapWt#<.c2>8ZSh3E9_JV`lma)d?k9KrT_ugeRAP<2O0C$\_MRt3$[manGK_*$e%`+WAs$eCT"p3V4ndq]5M2+=J$[Y;4nO*qfEGLAHS8AtHfurkYc#0k_=(eCnbImQ^K^qL'AgsbI>Kc4lu0,,r862oq2]q69_JKQ?r6_V'C8:4p)AF6QojX8+(,lQ#bP^CkpECrk$K&(rI\J30mD8AT"li5\$GX<07<t9p([8+50n8pO*qf?"eY>\p1D#18Y3_hrImW*JY1RpKC^%1Asque5/<lc$7FJhIMZdH^5fn0"F#76qZFP/CYqN8lj04q^AQ&NjJDIO\$3:7I)XuOWd=`Hf5G6bYqLM.Sb<clp6N5Eo,d`;D^I^/mq-8%`0oruZe/5@m="amb^8R*B<V^R!f,HtT41@g^"r$'(&r`mh=D]a#3Y=b^5-@o&O+FjdR-scPeIV$rIN8,0mD7fT"li5gY$o<9A`$X4bZ&c'A;^=+.-:!]tBlm-bYqCq\!PG#(L&X7))gs:jup3bgS_*8(\M>@79u*$b_,K]B0V#*q.`+qB;3X7/JcH@=FhVq)@2[D(Td+IAO)2I)isPC3or]2fE9kYqLM.XnEJ'e8KR6b^8R:D^SVImq-8%`0oruGM#kY^;4_r!C?O@q_Lq>8KV>:I>&@$rq[c#jur>mn(8ks+d^guq_MRThp5[upY22<-%h]?i=D%%^4LAD!3:LfAa4#WI0DQJ'_ejc>O4*<IUR0!mH"0B4m^E6fTSILc[-"ST82+f5;DW$BqE*glj=hHU4%kChSS`co*9\qQg>=?Lh68b50VWm+7n+s55TCLnl&uoGf,XbkU4H4$Fe6+]ih8;6!<UA4mYi!"FIh97R&WZr-i/5*UVqBJN`AELY.eRME6(kDm3qkJ5C])50VJ=&kCRghdJqM&c97mh=D]a#++Zg^5-@o&O+Fj!&sN%p3lYtk=K(DI-3j:I)isWRX5%8T&.Z>`4bdVGM#jN^;4_rNUcguRQK9GHNJQI'b@Prr,KRHTHA'd-pKHTAndjP,O>aZYbHQ&FhjPdpX/`Z@#j]C^;/+qReP2<HNGSJgouP4/De^erI8aOmera6b^8PhVm$N;gY$mi07<uXp([8+g%^!S4nLo&Nk`WspA`HO/Zb@=VshsdHi)Cbd+\id:)eHu%1Tk/?d-30"5da9Df4@Phcf.&;EsLArc@NQBp?KtZWAg-j&/ETk`U6h?d>8m%.m1Qn,-U<8WBu+rs0P-FL=b'F!&tK4m1DY\iK#g&8n-$"S6r_pf<o7$-UB&57.(-qI@-a5M4]&QMpSE`r910mX6B`mrR_rT$##=eS\H8p3W<LQncS[0f8FIb3!(,k>rHE\P[FK4\uYVs(Skj4cogBS1]7Ks/fjZgZHBHg^c'E2L"$Go6D:co;hK!8rCs\#P>,dRj0]faD:)[?cOrDYN)#ES,Z0+rc8a3rc9+Gn]Z2QVC*6?3KEe4M8i9i4/`*=*UEL_j!OfTHN0MRe,PrY:&K&Qs65B[r]-#'s7F?XIiQLNqI4H.o9euRR%.^EA%I0]1#B[*:,6bdGH^hdh*:_ZADbE^fD_/-2uMf"r8o@Ej-]8,s%IX?n]Z2QVC*6?9@!51%BQbZmHK#T<F4k-g^YslS\Anma"r+t`5KUO`5KU4W2.AM\dAiC!!(!X
rcs0 --- user = 0x00000000 f8008000
:>I9oFf,JO1*&BdH+it/<XJ/T];CN-g86oc#ED[Op7qIhM[^bBj93Nb(aL::AEAZFI;:]WEZZd:/(TFm'p^fmI+BU&.dddDL?s*WF"bC%tU%_q_Yl#qq!lZi$,X.;EJU3dr=$Pg59;mfpi4tT5QT:JS3R@a*3R7HXW\1J>WNNM9\2+q&Ua/72]e"dpW(U))&8/?_Nf_t<2n&iLFa*SBeDKg'O@uY);FldsS'o-FBQo[Fa3$eqMYV/mcY-IVg!nO8*,Gr#CcV&14S]S2<Ah?G,@Lq)qrJs#0apQK*+d.C7_qK'8h36FkSn7?UJ"snGZUIZ_u@-VpIah[*Mm])rkH$G/"5_s7K61I%J]0+s'.aMd^s?=[&a29l_dA8Y%spW8cH#;>Bh#(?gHIB\lWaE*+Z4I:K9GW>pO/q!PK49G:KVAP;3>O[Fc!^2_$"hL2K[O+H"sB'\A]:g/Z9@ObUgBJ%nqXDqY$^1K4&uPkp2Hd'(:[TW/@@P8^>(+W=pRqs\^j<6/t(WgJaD&*,).q#uk8>pj(O$L$nT"SlA7_rZ*bq@n;Kj%'R>GIJ?_UgV;M49@J#@18jC!SbL^^kWr>*s#1Js3cBbR0?l0aFe0CaIggs<47a7<VYIY:&L\GjU'hcB'b?*e+RqW^Dllmq9X.?;<JC!N]_Rcl]9O.0Q4FV>\tfPg<4t5XpXEgOD"3D1mq1t/c(8*2An2ZW!CJmal@rVb^j,dI*ctZJ!LZcWV.Ob)PoX7Ic"Se5uek<dHs#FmDN$)p'5Sm7;_u8%an/:0Bj$SAOM"kjWUWZ&T*UMZr%J`)[]J@Q%?)lqkkR[>2M.lT"iH1qPF08oRElNkL'k/$NpC":Lc>4cu2FE4"og)#aP>mo&"]i;SV),EKH1t!NY9H-8a=$\M=P"@C\1sLt?pn&,PhD40KY0[Q#YgE(W(nDW?n(ho;TCBaD"GL:RfPdFo"J"Db"K$RYs.ai,0^I"Ot!gV.kL"3?,r54I%ii)ebZ45'jD(D$..U+^>M!qd`t9bBjY2bKBcm`6:j!7Jc,>o3ZF&lu=Y@M\DTe:ji(1i4TV4%-@."E7<N<?+:)U`\SQn3o@pn&&OcO,6k3r.ppm6&^U-Mp.*`BDQA2FFHL]2M:"XYnnm_JGJ2A4q"i51OVcV!n9)h@]L*`?07F%o+u5mB5)R54)Z_?J]DF)m?W]SgUT?FLa*H[T=EUIa'BVCD5]$ME<?tU0R_8E:Y\(&0@-=hBR(WWL^GClmTo#O4YpUjgs->qI+!>7F0:[<,^"`Ag>eEkHS],_Af8lLU`\5BkB_sM^WF[K^$QE'KNscBB63d%V;LNgOhOj>h"(!71?AZ]G46:tLQU4c^/90]&au'U\G(2jN*gZ)pEJJ#)-A](lOhfle-pL6IEGAN@)e5T7r-Ce*J^jDTDZd?/Dt[`UTs,GM`C&oG*^D9=n;+l0QBU#kQA9ZdUW+WS):PagccSHq@quQ8*2<Rc9TYP.Ng2Xh>Tk7XDs*BH?Fc\j[U_Ds'BZcML<ZBr8gC;4Ag:alm*b]6%7i?c\-YtcTX)TSbW$$LUh*FXFKk.1Q7AZpe?]s&'sk7I(*uj^WPHNR(!3u/Tuk"k?mmP`_1r)L)a/_d-cm5Rr6*eA&)m+#0((o"Ef:.?5V(\i86Y<n]ALiUUVh%"RoUP?2#-jQrfP;ReN%q%&Wch_'/e8rV@OQQbO?&;cUR4quU/rj>p2i8b9I8N0+&:hBG*%,jtS'feT7G+uu@"O![iH$%@@jK<<l+ea7g=oEIq8jk]mImiXEO(..f1ILgAJd4BII*PW7_E]0\Mj+DR9>LgP'k]L,oM)YGsJ!geI[Q<MY6s3VDhcCH&Wsr;7%uq1I%_GlYWnmF_YMe]:crf\Kr)$saX:EWq.!G#g%6kMTet#$E]O5*?.KSM/W3kkJo/GZ!,Nr**h>!K0s*ct/_%68f-"irjpDia^60Z*Sg]d=<=t?`p=&up.k7="tmKI5AE;(&,/`,D^HBIVKs/&dcq,iZ1-U-6RlXA+Y?;qBrln)NIb"&t'7Ip"Fd:Du[@f)ebmPL3!*l^\<r,LD1=!Or20?OMqiTrWugCDQ0a,\'i/:Ze=<t;1qBQcQ$cPmA4,IFkfiLe<<1[/Rr*Z-tVCta2"*cl]%%c;g^0-t\t*W/Fi.Wb!mN=#0MLlSZg#9U$e2a<nhr8Qg."IJruP+NQ*,iDnu_'kM`hi#NNHjefLoAj8M^E56/mTO^6S+%,#bD#-QY88;)ch$Q![r,%RJ%lVD@b_Tk>4"s\PCMkXf.Jr(iIS`-qsYf=*PW,N8K.'5DSLW&ELD6<1]+(KEb*F)lm0e<qX+3-h?Rch`V#BYW4Vuel>?MV$+K[kPiq=IH%=e%rVcpsbbd9*4o>-t>5-O^h?Rugq+n8XH,QXWO'<=n^Wn,M*^*o/)KL5!1C'.EMI#k^9$hc0K(o$Y,Z;2/nlgEgS('Ri&];G'iSs<Of8#-i`pHM\Hg)K1_-S138`GPLnm3@fe5`EJ2mTo/rDuc*SV"L:5C@@qLM>j(=7n-FcHGuLr_\.N<"i/-U65[TJD^[HGk`iq"P)?<EA)5PmMGmcS]APoa3DRsa+>=18rM8DXh.PXjL"aXnaUt2UU(T96.k`uZ/Ok&W8$D[ld$8m05PncH,neqcaTli@L&guEDQ8_Ws71jG^_hol[d\R;roMOT-fTHc!Y]1F\E$UaRh$jE.7=N=<F9CmAuR9`)GdZ/\D7YP?BnkS=ZG_op2MSDH,fkkN(smSGX/m"G*TJD.IQLQd7lTSKC'5>b0d38'fH!*`U&Jr+-``]9p\;oC6&"0QHN=Jm`TD(o4t-pdf)M9@Lep0?fX?Q*5lT9T#17o=LDc\G0A%EUeg_I,25qkj42^:;tnIc#!B"o8rYu\-%h*3@%2$IB;"LqT/-OGPT5+]DQ3\^VS^G!AAmJi$#.M>2Okf/cH7+^W5+!oojhNn+210.Ip2.0!]=DlNhd"prIJ2n1VEplL=;4%k-W67nr+F^B1UAM7bs!3-_R_Gs.ophsb-#U,`(aif;YN3;h@p%,p=-_nlr!D;hp#3:.&#/XU?OH$Y>%ibudq=7ET#`V_54bp5u-:ioBUg[QZ@IO3%T$HR[[Oeo3EZIb.mA&["o*XN6N<M*GVVJ.^,PGi`Kn612Q4tgPN4#3s&U;qkCa3W:0ho^n-P1L;#q084GQ]H`no_l@]A%R[b>bd@3bK%lXA&i#'npsI,P=K<rW]LSanLd!h8orLOk@"8KVYj*Uo2@ickHK!u["eL$WAig,;q+QT;u1jcFn[te$[D:6DoCL]?>I<mq7s^ncbXo&T80Am3:OIC4J!@SL&(MiQN$<1jOQHkM8'\D%QKg2i,R"()m1n5PRkX+:B\]so*k9+*m`<Y%`bK'S3tcJ>3u!]RdolBnMcMiL@Oc&7<afZm)SaBs1'LTl<TkE+Fj,/M:]KCH@PZ7-hk@,(+K7DpiFN9J\LsS]N%2Q(u\9b@^:Kq&h3hHePGr%TC*r2f2I+=W24`@`]Z.d;*puEPB]<3#Al]]Nqa;h/BZPMEGIX,;->i,iL"lSpLR_-q8S.f^Vcl4s6![;o:b&`W$?e5^4OZ\Zh9-XXb^bMDk1F2FFr#tdoCe/VR_$;gq@eIf.'JBZ2s^A*IR.4`VnFHWo#q)A<D5$0;37DptI`5@)>pSq_u"Orii*2TsWi-n*L>Dqa<S*BLeaXP^9B[*V+[%*V*Y"d#V@@h#(+Eac3X/]-[hO+'eX:9`<e6Z=Y*MY4XA*%e!Aq9-EXKc6,i`Z4<*\q(`@S[E4qR"g=+8?lrX@\MF>..ro'dQZ5WJD^3tC7K67MqZ!WAlu0*Q+ppF:XTAIe_jL"e#3(Y2^#f+A)+l:H#IqM3+MZFO#Gb:4kmE=6I?S-MfrZN3Y-;]"]YZpF"U5F]MA%2ke`RJ$9\K)+<O[o=Qlo_hp^$WSWb-o/0@A_s5sp&dHK>)j[iTuKnbYIRn)pE]r'6C>?Dj%dInWVB*C$?sc`\3e53[hmZ.9%gq/Lrb^RDdO5Yk]MXO]bgVp=.1l'5,@]J7N0J#tV!J#`kAer4]u<fSn!rImc@;(b*).[(5<&W3oRT?upVEO%6`nsq=g1:V`199;sAZgW]9UA2^%QB!biqrJsmI\`l3#oCTI"#39++CHR-`>Cb#.)6gZIj\gD3r.d-SZZ!%GqPo9O?;,V-[4F&W`<AZ[/<O_N\ceW+-(aW"FU%ZeN3H[)>1lpr)!6$I#"+Xc8;ji;UQk=d$LF:oI]<kang`q&)ZhC<#WFVldZ!=/MWd++[2@e?DK$rpEi\SAGsW69US+cGHQ,XlFYDuod7<"TiHCSqp=nR(SNJVBmM*IF6B`+CXA$[.F0QBR=B)UoVQ!Np#;<>p>V]GK;5mlG2eY=02e6\*_t"$W5auHW\9B:p$.W?.6,UNR/&f8gT'_4YO3Q@Lfa<^rPU5`0^eVQHG%"hEo*VD(\J7[(aE@c7IeIl?E)BG.E6BeDlM?^)9BJs+^`]DoT69E?dH+2ir2(g4)f:bcAp[X-L90C_N-)*=4oUrB-/5Cl@V<#Yg,l84LT]mgf!E]^N0d3_V_nXmU:%h7t7[#g26[W5*NJ=U+QJ]3'O.!V(qU<+5F^tAWQ(a4]Xe>^Y&tYf,"6<@2[(*'j6sN:Ncd**_BH"5S)N?]pNcr'k]:G\q+1`=dlp(9X=;@+m1W4j)WjJ0n/7*m$N.2^&;g4CZ\j%QVdYVHh,e4f?B?IPa/lO^9eCG\?.($))<.e#WU#qFiZO5s5++mN_dUhV[`+*94pCVF8Nolqpu6tF_dSoG5?f>I*clu(`6V\XcC[a:-d97OT)?mebPEMUY8+?a7\8qR,"XL@<6I%GO[raDrW7Nr\[Q:%EDTp;-3Q]Hp"3sa&kliFHbsM:'QIQEe+nR4=K?a8JeO8dn$qDp7GlDF-C(!h$N;.nbrSrkX[Ig)3<7=jNtYN+5m\O#ESPa+$;8n`bFh5[9p@V9_@6t5l2\A=j\>Lid\_\IJtaCm.G8;H6c:qW\(saGt^HAj8>2-1[jO#VO-$eIF-9nZmk&-roCibYNRL2&/3ZV62jFJWOL3rOdnX0&(H70hq",Veqef=Zu4.gI=r.eW^3W+<0u(kN)`s3k]`r5;.%LBi#6uG!jC9:9)0HEmns\cpm'T3X,l`_mZ;$R9.mDLJH#cNJpJPfmf<[[GR5#.i$:k&%U;rgSn[ri5MIm\HS0cAPg?m7bJ]&2._Q2^5KYWYI"-[4Xn1aLjH#uLE65j:5++lg+-\ET8Lre7qW(.JH4]`lhO-M55KPQF:1!ihHD=L("L7r'oHL(.cR1iT`*T7mVs[thQrE`5oZSc]++!,<XQ+UB[S$!i?8sRJl/G#.G[?)Y5J\l:I"-[4Sb;2:/Y)BIQrj">r@BJrfCS@:ggA+%NnhO40OqRKr0$_(d>]rWU!(f=Z2RUHH/nf*ht,HnF^=U(rPC)^MZ2QL\4(mdLYfPUb?r]8qQ5628,4J/,EM=AeHW3D-'.VT'AjnicgQ:.J!+,l\4(mD?d^.5>5iq/gPbk$OkZ7C7LXJ&r_6^pEn/K%r@pfo"L%@^rW64%n'Ig!q@LE\rB^ES=hergpD.]&`r3lGOW6UYoBEl9DpQ#LoKiIN9RTg<qhl!L\GhZ/4id0[GUGOjp^)=VT#/[kJtRU[+^1a+O!Le"dJa>RII(*TG]iLc)s'!X\$M&>VH80h6(cg\`T!Kc@f=MdnmNMsn*>5>?SWkD@CbjMpZ8THf?BcAYBtWeoq6NQ4)]H,&+Z4bj89Q)Y^__"SaplD?<`K\\`uK[nP7T=):qCXptSZJ5P(pQO&N;?rEJE:l]:Ne03@;VCjVQ`>Y!S7-!m*;a4Cpt2nNbdb*-lGFifn+o=o?`^,HokDUlBq>k6_@&8-_-mWg$q+J"'Acb^AS?o:4g>q^8_-Th%Pl`kH*JcGF0TClJ!BD))Ls58,$s5M[\1-jJNi_$eb-hpQ%Z%L$-s6r,MXQjUd`^jnCH"^8:G'MVSm8&3DgH0FL&+d:)kGQ@[Lp_/kmf^DKI/(kQ"E+h-<')1h#Aem.4&]LRkG\7TkMeRqmCb^*+#am01%TDH3j506^2d5;+4Hc`7rSAak?0qFECBhRgj"VGT8Ii?L<619)uoP&?fR:7p\:E\&`9374F+\*a.q5`df%Y47NQq53tF4XUd+P]V]Is9_iG\KrT%&?OOK7<j#_Y_pEQ<l[iHC4nK!Y;H]TmAGg=+\MVpQ:9NY)WIdEgVfeIA.ZghTBgIDl*C34?c7N9>QQ/JjT[D"qfL\;iQ+f>F7VbTI;bphLEm%^S/aO;dW:"J>!f&AulT%\1Rg=$pa]"U?ciKZK;K^HI^Zl5L.:>'Cr4sJ]/P&gIAM8Vj[.S8c,;')F+YA>4TA2*%&9?[l.7i!.6,EB0LOiI.a"1MsiDFYJ'DFYN1/)@rh`q%oF38Rl%T+;f[S+ql!ZKjAafLU6s;I?Vi*MaLpq9FaTH\-1qAK!;UFqYqr\BT%nT=YHWnWl6A*Mp8h"T5pm^,dLJO8Jo$rL;tA\KBucA;G`6N)!*[;eI"u9tXT4D;m#oV7=Hu_SnEQ`D`$IRCA(emGfZWUmm8R;W\VeV8+kJ9<k>=4u)uJH1R*CkDt4D+"n[Lei7[3?d'1g'G%+^?p56Z@24eBCU)SK@ttXV*&ue*_ha(V?9RLlMs$j,nrk"IrCK3fdFu]s_?N\$r\=72%hm*7i_>1GYHNgN"(".kHimZ%9md1^R1Bqt+liGl;0e)'P;t<l$#oFq,a1Il%]Y#>*[g`@:OG&:'I;5I<WD?Cr.@RCKU72]O45m+]LqR\J,AGX`:m:F(TQHKDZh9iXh/gF&k3?WkInVOc[/m5?2dZD_%o+N1oq8CP-Nan4\0afml2uE^R^S]9:q7-9W;Vl`cbuu]@*QD--elt/*?g6SSf6hlYn@9.oCW_^PT>t%t`O2i]YP964t(=gi!e^:I-$E5qDGL4DjER2]6G(EU"s^m`[h)j"9lA$;-p6Ni='^k5+GS`ReN%q-(i8*^!0[nG5pL?&-'PFniqBj*C)_-gaDIM'[=.mG[M>`HIQ-;7/PT@jZ\$4ss]1J]BWl_k4]6Hqaj$L%?$#Jo^GAUt,(q@O('Or`iBlWFt>!cM%;9j)-g=MHo2!?0NZh^KDk*ro2T^[B`ES/Wh-Us!a5NWMJU2D,T$P`2#W@L,;d'2Zb%[-miM*^_0t8XapC>k.)0<'KlGXTIcVh;*^k2%YKl8CYJD@Hd(SIP0DuCNKG=<*aMk`HoX)#k&KrZB7/%=LeYn\fXI?r33jWOb&?90Y:P0]NP>?`o+'\uHs2#LXQ,S[9RLM<^$\!kkP?!CnP`K64Clu%qSq@ZEThm?7?!.p4-l"MaCA:hE<iX8Sc3/^5^J2f(N/RZHKrQ'5aCrQk8\Mko)Y_nlN)ssVidnPANY7^]XRFkIiZYfAUJ*jCO[ABP286fhBfpt8\^=L]R[ZOE[HJ$s'/,rK<0ZEA]qi-qGcog/EJ>GQtcLpq"RA@]e&/I=ie)B7?6kl+OT"Zh'=';*TRMWhd+tA0)lYs^.^>k2/>bgT])HO^MZd=E5,i*%WHBi"lZe4r]VBH5"^'cU"lOEU=-QoPb&o:-PAeV"V0R^j]QVQT9+<`TtErJDr]hLWR1D'j3K+9T:$Mcf>qSKq96N.J""L$CFdtAm2qD5T1`s:PA3=%O3o9!a5IW!qt^b5CG*)rLZ"?q6hpRKCTP,">6b"Mj)&naP0%tlqtZk.*P[Ts?3T4)P4AhJBeL@5a`nUBV*>pDD<C9[o'[m_.bf[RHqD)3M*"!@#MMB8ej9UTmt&/6c[7nOq<,cT2"+[T2p++s])IH@*)gbL*4&2tAK6Q'`]3T;,$eAL^Q%JJ[?jB4:Nsi.*qf?,`lDD0"8q6;K?hh28,'5"qIAsZs1EpK2t?FPe*>8Ya)ucINQu.n4<Xg1k!hW5pTbmofK*[)hp@jbIb6]pCK:0D]DS;`RI*"-qtSi_XoA&>5&JJ+^\-u:jF4=.QY:<tr,5f[=RgZrAoo"lGW<\9PhX-0N">MATl`eW`ULV!S[(=]@X$&]hBZSmi74p+ThNILj;r=^;LYJ@kb"s!Gos$WluQ@&50lAhg#WO%FlTHNZE9C0qYb:bWGX7g9+k$IbAlM@i`g6(mKf*0pLd$D^fR_)rOJnMdelFQUg![fHCU)_SW%p`IQ8%]a:g+Qp.Q:/+nG//_*7bgI$.,"]C/\>UfMG4KQg&Wq<TnE$K$cLR`-_)`1,r2n%O.P4P/N$.()i4rc:ljc]!LQ^iSAMr,5s",5-:V>\IJkHpa_oShae>F.U=`T21dlq0&Q;c\NJ2`dE0WrZpCA+6)r7^Cu)=S.75S`0^Jd`4pZ^a2Wc.ooBrb5L>=RMOR]1N13>X#M(rVETgZP=)"4QFe721r]?nTr-b_;:=fJZir``T!.,5QfKSJAG4E]1?h3UU_AD#QlV%.Zq$=^u9C@h$o)#2`deg)[E.-%lif5\'.sH'Xl\\JC<-@u5FcZNFS(9o7)fBqYSlf@mH.V>N-c0bH"SbV$B!lhl^P$!:KR`j6hiA05kEk!F2KJ\gCutCh9,HCdCH6goP5D&_Z$k41^KKUpg940;\m^$7h.Xn`h([fSqlH$Kh,$.qP'P'6EIH;g`1C<M'V;g8lg[^$;eeFn;f9Sk;f9Sk38c,"oN*Y'dg8.8P'LJcahJX\$m(9$HXIr#IGJKsafE?rQi.qS7q]EKkikP9?hAHTcS,,U9-sUFQbHi"7r[Je-QGSTTO7>80D[`%NgK\beapu`rDLaeiU_5ZTLo-gd14:d\g/.P4k2S?PJ'E<C>PE"IkW4`#sZo!7!UrFM$?]HlAA<MhOs5,eN@`kr^2(ui'mAR?Z9B<dB#`h](-9D(Y_uZaSe?cr^%^a6g#&1^OJ"eA*mf6H[c.srQTcg+eaA9"8$M]C*%;C1%2l<7)8f;gAp+017ggJY-)#`>Ygh<==tYEo-_;B.bcIbE^anr"8-g,(GPP?hf(edKfZHUp.jEaoNlf!gN-FM-2cm3p[a_X6SI)Ee1`O8Y0C]IqtQJNbHD"VkP1C7fLA@?mrW!NK$r;h=gFC&kK7/gr:s2Omp$(7eGl!tQWT8gkeCR\5.4WuJ'J0l_`g16JMOV1afL>AD<*Y,c_#\OHO;tlNG3MQ=3FJ<9i(S]_IN(nA=idR^H<on`0c"/2r3)H.?Dh!r>L,I?`'_T;nX6RrVZSt46?VOh>\."rdNQNEQ%!gAMYiOAlS5dj66.<3JV`#n`Ps\kJ1Ce400b$A"I\YIm>U0<r73)]M<b4d>iLo'KjqWrk0:tBQLO`"*M<?Mc:a6AZqr[*cIFIlN>lu%oDDc2@Vics*%\po)#sAQ1o5AHard`$apJO1@[TpisPe<$3#4lc5A/([9N[e8Nq6\V8L7;rS4G_qW)jLe1Wg,@BAHair`4CPW=5#o-.8JkKL>02^^ZWa4;0S6RV]Go928;odlFP3#.U?e3A!@\je3*_%dJEH'\3\#HUUj3kSRm(1?eBWnFDUHKB>b)6].+c0M\e\siGO`0kSU=C$D.Y`.2T4T*k'+'?#1dAV?QpjI*R/g"3"f,DDD/AD@DH.r2iX09-t?\hbsi3>?Ba.85lZhFjLiq9Nr21=9"W#+=:?Eoh5@eJ\bZ$ONg+e.<'`\dYLs30MS^3i4]]7C-$b+S'51p.p&G&AC)&U@=r/UbS'o+H\ZG8mtfZ@1MUi"-uZ^lrF!h1<o.3;WrOU8O>T&nAcL59Xr0W;1s.gX"*Fr*^9eH[c'D59E#ce\(efa.GR;o+=uMVjo&5m2]V11UV6_^:#t&;p>XHm<JV1rV?7se\>(8PG6T;$6>_FmHGG2R2(S0gMu\SqJq:hr;7^$4NmFLZfoTURI=K:?_<0naaF$E/oBeAc+L?a>q:9&Iac&):\+^9G7n*n;q4;(qtu8":CF?5rdJEX,O'Si+>%KBNt-:34T*"00!HLCTB22_Yc>ZWo-2;[(#JTCo*MV+b@s#4IOM,i^W=IpB_0NaT:%Q8h"^hlq?0^p?]PqAX5S265B\^GccDQ:dsT2C&oX?nf:2U3F1nM2S)b@VmKIFpW=4ppHfK#@a1`nuqX`ZaPC;!lrNsm%S&b.:B9b=Ba3(h_Z,`PBBseh+LM2+C'9kVlPDCm&W-S?N"7/.Am=HsRRN6r0+.JC-gHKL?,-NpH2^,@`G$[S/*jY<hGW^s]e)oRpDGq#5%d%fgo9Yr6c6OY*:DqrbBcHtXJ'XUR8i*n'>0:[@1hU\89@')l\I_a=n04"jQDL@pc:RiAJufd5R%7P:]W1L6\m7_u<L)UdrplE2bmVFBhD*?CQc`Z`Ac"nXj*-uL,$(Vm?S@c]-aDiE^:AWF*FMM5c,NcA8Vu?:B?OYShY(<D%as't.5&g<[U5bEk83(u2\Ko>X_fXslb)"EC=[a`-XWNb$'G)[\NcRGH+@DVk28RQrbb)1X6/FLIl@F-eC1i$"an!ip!rWm/:MJ%^u(W7YFTVlT,*eYi*'c32]0Ttq@dk`VQK^XZWQkZEWH$mj3ZKNjGk4)qpXB``FJ_S#JP'edLWp6_"r7_P8t/$s&A+OroDoakW"F:cuBpDW"[T@/8&L;%J4kA-<g_SqPT+tOR4LD85Elc[]^5=F7B4C-NC9urI19a^Jkj'Dl_Gq["j]C/Pi'c1uH-@HGlHE"^AW5kTm!q=iGM1T&[G4BC=bTkl.8JXT8T9nn_jkC\Fp%)Ln/92Z+RE`4tPG[,8eW\B>nulrMfc^sr2omMa@Lro's9TC*WBb&]#5e4TIYp$sd8K,n?<K_2n#9To'@FOEn5H6)kV%f>\m\N^&F`r]iprjZ)KpQMb3P&TU!-b=[(H\_Td-#%f+]%:Tn2qSrL7f/3,khgC#*1Q@U6i4'2lAaVG<1NGdPYQHT`k1`HOo*UW>r$gn[QN5AbVAdJ-ukD'r5.'Vra7T`=*=c$gUR+_P/!KbB5G;lDoq^crMKUMB)7;9+'@QYis5N-Z(:eIn-b%PG\O5X40UUBHFpD$bLZReqZhU3#fC$D!!',Y
rcs0 --- user = 0x00000000 f8028000
:RI-Mh<?,p=/C2?NSZ`ZA/8PuE6?Y?-aGNf'&86c\"h!YP!Bs3jLI?]683humTMW?nU*<!u"V><>,Wg\`,\%T.!e1Oa"VF;4L`fn2b^I]K]p[a$G4D!(]/!an3M.>X4ia/W+[j=_DLU6BG%d4kMhlk<?=+G>O2,i7J(qTrSr^tkrQ4X.]KZ-sad7LtLI?3Eeq:-9mN6h]f9ljcD&@MJ[A]*kp9j.7jn`lZKD'ITT7`k@$e@=5qg\0)T=Y#Mhoh@7-.AfPI$\\iXdbBgIX6*Er?FNXnu)/tlT>(J8`!U4p>Gs#f_ieaX6dSmR<ifGjZiK%PPUN%FW,^\_>6%grG4]tLqd.Q5/bC?X*YNGAH#b.rOlS/[QbB"Crpn_rPsr0G..EMkqi9,I!EF&Lqfn6IlR,F+CD>`J&eJbp"b,7jO=)H=L7^lZ%_YdI^5gLqJBT6f<s=Xs)$"oIatOYI`]6dk5D8(PPJXNr7t'0FSjeFle!"+4(#-*oD.?oW1Wf*e,<>Kr085XK75+Rb-O[-("::qrf\Gts*""m=b$FIk(Hg"E_@\(PN:7qri6Rn:T)p&rFLJ8:3ZMbT94WRmVRu0%0+sZrD2\]9Rf!&6XP^M-g)fUT89)Rq@*?j#JV0I4h(@eT7?d&O3Dp_m4N9ULMec;I[=F8qNHD;XRG/prAr4'9>>:U5OXAWrC50Vf;#8>IlH/DKBqu&B^,MDINadL:Y$k(ofrHDXOgnWNV4ReJ"^NO&U0>erbB30TCMcSk1#s2rMo\Npm"^3&]a3_4K0\mT<Ve92LkU?(X<qS]]>^Q3IdZ:qV,o9qT!oaA+bpN4/r86,[8_)b0ke6n(';0>Q\Tj/<\bZiX4#!F-c+=j%)4[qDDR87RS:N_>dd9ZbHLjI6ZH<SpSrcgb&Q"+,K**(&HM9O7eZYqYJadDJIo"dJ9);\^)lp*f.:$+80Tdrc>jK?/NVtIPfgThri1aM17%Ya[j+;qYbaedWa$AcMqAUIl\,5e=Wa"[VWO(01?pH:H.GsM>mn]^WoVj"2@Ggq_EYboe4%u(ZnhlA2\q^^V\P#?gtE$S'_Z8^W/7^PViE;rt_@,ri4#tr;NSHrh3#&pBU$458HZur-(?0TO7E:48J+A+4[`#V2s-tlD',QIlti&k<&Hrb5G+ClIdic_>bKf-iLGN^.`u<0R*J!ao?-X#PKdR2L@Z+QjNb6oda-/2kH65QKP^U&*N^Rr9&PA)*c7/CEd?i^Z*E9L&N6#r;kO5:[oE[=HD"$IQs3lnK%(VN.3[ZV1"d.3S;+DcLD\MZi.VQq>G;D@f46TX8LA?G7+Aj*kN0]eWg"#%loKmM=:&KgFDW:L7dpQcU8N@8tGs![If4OqOW.O+,T=]n+5LBns$_CkJb'jHiI5]7fUu`KO5;h1m>]"fAqFl7=5$!P0i[n2s3oMZdl\HkDOh^1]Cg<J'0L`\SM2rWW0DEd[ab?TD&Hdn+F-!HiASgC""XJJ"^4]@Jl]cr;+t7>5qeS5!Sq8iqT\V7=X`,rOu`dkNf[BpA;6ms%dnHbeMHtprYfa:lRQ?21!U?&,0l>=W"lQf?&R6kOee[2AWS7PiJ?&onaWuna,?4?hL@ajT"-/m$mh7g[ufjn-Auba[Nch\,CYr@lsVL4/)\7YP_s]eh:ZoDq;,kZU,b]lNbu=\c5$rcfas-q<62)K6'7-lo,a,9Cisd!mg&!s)GU\TD)%81\pa"Gr:YH/AIR+ZjaEnF5Di4k$Rds9f7BJPX#2$s/i3jAuFefK5KZ=M5LfGRQ(5GqNHEY!!!!'zzzzzzzzzzzzVuQet"6oj*!!(9c
rcs0 --- user = 0x0000ffff e603c000
:h!LVV<82K9TC<(*8kF8o\nO!r@7ogo*!H$r_[`*bW]cB&jP`]F]qlDF*"3<>d>@44-iG*GSOXWT]o01`UaTjAaljm5noghdf5$uMhgRM9<lCaNZ9FD"P8&/R_kka1d:>\K65j%mp2m5K<%%OlI&p8CZ*]"E(oJUs\sK%#.OAkGr@F9-X7*!W)g,'C\(#F)hdPWQ<]cVh\@HFWBS\Ua=ImVAo8fe%[JquCrp@C8Rt'Zac0s,gS$)eWrqVIN099g)9d".QlN_dj]#!8VCYP)c:5O=-IJ_i.:;'p\#qjPidp\o`c+TB951?Stkqoj1gY:)jFo6rdX?X1plRfs"/+pt`htF'L+1=g$3!M=,fJ`%7BpCHIqT?)'QbN&9QgR"6R.d[,SQu;(WPa0'iI/(2IWG/eeN"5@nU:j\9[b(%FKOl<d/r=]7geK"c4'I`&Br2@gZb;8[eb?9QKOWXbB)@3=LUC+\?('L5Hq)7^U)fX\(U0"^aME%+(f5YM'M?o&$VdVI>6We&`*$`p'56sBch1\lj04q[E6#/ar[muDdZAMq2;u)<;$>n0&Fe"P<JmOq[.]&O0dB&A)Bb*jNmaQm*-R<P<FI[HO>P\qZ_BO"UF0Jm*.?=,^k52p(U<-YZpHK42,+k9E0El?M^Ad?pslJk#5X5HM2d\$TZX6d%?il'lTK6]k'uITX*tOT(XK!I=OMubUrN-]Uo.a]pYY/&neErhdK@YqZXZe"UF0Jm*.?=,^k52p(U<-I@cJe4nM8-fEJnL-eXqYo=fPQh4K,+J_tC00)H$ifEGLAHS7fdHfuZcYc#0kp3RRapWt#<.c2>8ZSh3E9_JV`lma)d?k9KrT_ugeRAP<2O0C$\_MRt3$[manGK_*$e%`+WAs$eCT"p3V4ndq]5M2+=J$[Y;4nO*qfEGLAHS8AtHfurkYc#0k_=(eCnbImQ^K^qL'AgsbI>Kc4lu0,,r862oq2]q69_JKQ?r6_V'C8:4p)AF6QojX8+(,lQ#bP^CkpECrk$K&(rI\J30mD8AT"li5\$GX<07<t9p([8+50n8pO*qf?"eY>\p1D#18Y3_hrImW*JY1RpKC^%1Asque5/<lc$7FJhIMZdH^5fn0"F#76qZFP/CYqN8lj04q^AQ&NjJDIO\$3:7I)XuOWd=`Hf5G6bYqLM.Sb<clp6N5Eo,d`;D^I^/mq-8%`0oruZe/5@m="amb^8R*B<V^R!f,HtT41@g^"r$'(&r`mh=D]a#3Y=b^5-@o&O+FjdR-scPeIV$rIN8,0mD7fT"li5gY$o<9A`$X4bZ&c'A;^=+.-:!]tBlm-bYqCq\!PG#(L&X7))gs:jup3bgS_*8(\M>@79u*$b_,K]B0V#*q.`+qB;3X7/JcH@=FhVq)@2[D(Td+IAO)2I)isPC3or]2fE9kYqLM.XnEJ'e8KR6b^8R:D^SVImq-8%`0oruGM#kY^;4_r!C?O@q_Lq>8KV>:I>&@$rq[c#jur>mn(8ks+d^guq_MRThp5[upY22<-%h]?i=D%%^4LAD!3:LfAa4#WI0DQJ'_ejc>O4*<IUR0!mH"0B4m^E6fTSILc[-"ST82+f5;DW$BqE*glj=hHU4%kChSS`co*9\qQg>=?Lh68b50VWm+7n+s55TCLnl&uoGf,XbkU4H4$Fe6+]ih8;6!<UA4mYi!"FIh97R&WZr-i/5*UVqBJN`AELY.eRME6(kDm3qkJ5C])50VJ=&kCRghdJqM&c97mh=D]a#++Zg^5-@o&O+Fj!&sN%p3lYtk=K(DI-3j:I)isWRX5%8T&.Z>`4bdVGM#jN^;4_rNUcguRQK9GHNJQI'b@Prr,KRHTHA'd-pKHTAndjP,O>aZYbHQ&FhjPdpX/`Z@#j]C^;/+qReP2<HNGSJgouP4/De^erI8aOmera6b^8PhVm$N;gY$mi07<uXp([8+g%^!S4nLo&Nk`WspA`HO/Zb@=VshsdHi)Cbd+\id:)eHu%1Tk/?d-30"5da9Df4@Phcf.&;EsLArc@NQBp?KtZWAg-j&/ETk`U6h?d>8m%.m1Qn,-U<8WBu+rs0P-FL=b'F!&tK4m1DY\iK#g&8n-$"S6r_pf<o7$-UB&57.(-qI@-a5M4]&QMpSE`r910mX6B`mrR_rT$##=eS\H8p3W<LQncS[0f8FIb3!(,k>rHE\P[FK4\uYVs(Skj4cogBS1]7Ks/fjZgZHBHg^c'E2L"$Go6D:co;hK!8rCs\#P>,dRj0]faD:)[?cOrDYN)#ES,Z0+rc8a3rc9+Gn]Z2QVC*6?3KEe4M8i9i4/`*=*UEL_j!OfTHN0MRe,PrY:&K&Qs65B[r]-#'s7F?XIiQLNqI4H.o9euRR%.^EA%I0]1#B[*:,6bdGH^hdh*:_ZADbE^fD_/-2uMf"r8o@Ej-]8,s%IX?n]Z2QVC*6?9@!51%BQbZmHK#T<F4k-g^YslS\Anma"r+t`5KUO`5KU4W2.AM\dAiC!!(!X
rcs0 --- 3 requests
  pid 4893, ban score 0, seqno        3:00354f86, prio 0, emitted -652ms, start 00009000, head 00001320, tail 000013a8
  pid 4893, ban score 0, seqno        3:00354f87, prio 0, emitted -648ms, start 00009000, head 000013a8, tail 00001430
  pid 20033, ban score 0, seqno        6:00354f88, prio 0, emitted -648ms, start 008af000, head 00002690, tail 00002710
rcs0 --- ringbuffer = 0x00000000 00009000
:g<H.4@3\FUDt/>pdoSrs$O[Wd7`s<P!X%%un5*,Zb1pi?=BA_Lm!&e<X0pp$B9eaI$d-WA6GW(VQ(pGmT[fE`bj;&J.6`O1AFP=d%JT#[qNWeJR/('f]T^B[&2/cXDEg;n$o4C/L[q0H0q:BIFs!n0lc[hjO"6:[D?o[c.LX9`b.aJ<3VK!LFH`l!NhTd'9c`%V8>E,\6nnT:41`BO*Z\c$LHZa7G=84)3f7s5%!QhdR7C+'R:M?G*Sk$D+Y(N!*'mSb<]Gi7(9DKX`#Vt>@u,H923&g:KPMPmiZ7_PZ,AG#X^d/&+POjI*(.,oei83G$`n=S`&CfX@u)22oo:.Z"oB9+iX`,1Z,Ak/K4B]<It#ELf!](M=FTIro@ChNkcj;',^$5V48?&E8L(?SCr\u"%[,^4\khXM1R*qRh,3;-H%!OME//X2];,9grZAX;Hm.=rh:EN?-P+uUZ7eGLG>`DYANfO<d"cg;@u+j(B#bH=6-YE53/<tCb]*Wk&SuFt`"L_^@u+^$<lYb%6*6.j3/:]XCiKKa(>.U[Li'E8`t1=Bm>`?5LYEe7E<p_If]!b7;mF7I&8,L/NZl]g$QME;KY&3hE<UMFa$ojk$[)>nE<n)bh<%!jmG;@X_jS`!'4u;.6?iGbOQ#$XA-@+%nd59OLe+)O`t2*XU;mgM5fJa,pk=P%,Ol!N!_;5kLa8&"I?5m"=Q1&[FKrb&&/eu6NZg0ub8`fZ"-tp$iYO.cZ,Ah.^;gf2qYM6t56&Ym.Sp-F!!!$[
rcs0 --- HW Status = 0x00000000 fffcf000
:?t5^O68/h@AfqCo2)F5])DLqO=:C6;"<4]rWD3=p(b!O7'O[[>0N!F\.)A@[@&!lB;1a`@!!0_d:]e;J
rcs0 --- HW context = 0x00000000 fffa3000
:Sa;kkj]#1eJ`"N%770RB*(6VLFVL)M-HX2",pT.W(+#@tnOFmjd?Fl2bJ>N%;GohY+p&6R!X!s?%)W?3[1^B&"\Eut#jMK^0FWQ.mlgW9jQ2$<qVPJYIsKpTc2.I`I@g2>#@G06&=Yh)@)7I""q2>&0OV_Lo7r8AKSX\=34_&;L@,:t$lC[1@)7I""q2>&UA+21iTVSj/s)/RKfnCK')+A=jB*!,9GiRRJ<:*M6:)lAMHCDpic&697p>d0A].k.:0i!m3HSnIY1OlnJ<&ZEh=$nGIb50[b_.e'M'<\+[[h(NQAZaf;UD24&"!KA(Y#c$a#!]Y3*h0_#-eC7r$0*;qrn$?]Df[FN[s?%>hZVZJ982Z$7,R]'9ID8guEtm#Y_4#8/Us9^<hqeiA_0fE.UE!>W3IEpo@fu!SRQf6?\1Pcs<D.g)ICc(4kin@aR?4MsUYSU\dFPk^h(_F<Kcr3]_R@Sr+Nk7mdcAW9C(NQA+Go%k#3bs-tBD`LV7CNcE9Hg:s4uo]k\*1V.^fdurIQ+_q8)1"sWl-Eu<SJ6G-MUUrd7Zm*j[4q(UBQaF49n6]r6T)+b,JKJ!CnuFS4pa&U+JBt/gZ+_dd,'Z6?oKfe4(lI8p(4l@9%pfR8m/XM@4%+7B6ID?tM<tSUBI0Dhh?%e+S*5]1$Zm`Z`X[gYmt>$=d*"m3p:0=kgCp@T6;R'0d8QefL&CJiII[9/oK_U@^'&Nlc4Gs'HOf.oGE/sCg&,ktU[JIOi(i^,Y6^JYeb["6&X$I$ah,ej6F]-tmobr.\`mJW?K0AN^u"9J&q5J246@L<eFG[6bJ)ks;f+XWL8V`ZI`'fTpn%+Bqh(spKHV=jY^FV(^Aof%l+hHBZmTOI/Hsiah4_GK&SN657P,;-BYMhd3^9u9SqnBe#=8oP6_gQSH0CsK"EZ?]6B6q,kcrLXF?&JASImmaVaaF7=jSt!5'1&nN*Q_#dEA4acpuIgd-p1`ctC`RkV^cNkc<pjkaUcTGRJU?T8;,Nef2kTqD.#Fq?HdGNTn#$4?m31_`WCXr3/!8C'V[#_S&-A/.KNdQL7h+TQlUQZqk@(q`ueNrm:V<+ERVI#W`<=Nh21MU5)#Ed)2R?3[n_Sa$VEcj.P"u7-Fs(3B@dpg%W>_SkSAHHs,HnJdt-:EUGgTIK-UmWCIO]Apro["/LSU(:PVtL7%L`hbln:M9nXcH9RVd)/qqNl6u98jhu>Y-?f-T?"4rSZK&I^=jPL54Wl3)H]G`[EG*lmdHD1Q'AN8Ihn@q!&sW$K[JECBZ\G_:e<db%bcia\!0d0kVb=Tf!7doi"/.BIT%'EYRb@,uT7!%i#Q!`aB1gd9^LPdaqKXlpqqEY4,INlC=*O5RQLU#XKk$ogb5,Ad-?hV!rHTH4rjhJ*0Rfgg2Aa89G>ceeZ#+rRfk6PUI@EX]*Rq;$^G#maYhMJ+GCH)1j.uBBcbZLInY^R9&Li3$2=3efD^KR]l1t$:EmfV-oP;(NJSi$4*$)eqp3GK=8qqEScdsasjf3#c5=rDM7%[/Zj<H+_lauEk`-<8I4O<H`P08ZPXknsfY'&If05&+?FIEJ^dIo5Re+3@j>^^OskttDAoCBo1*jZ.s_u(T2^aC,.7-tT?@6!="DS:1[:RlWB=B&_G[h%p0m[PKPFPmpnp;?M-5Iq$uq6-oe+\/Z$m/bqVk=9]O2pdJX37#IXFgC87/t?BtrM&I@!9jF/'KQMAK3]!NMS>%`(&)GQcFPTL+.Qa(EJ*kAhsMJ5'>KTHD=#"WZrltdH.La):[YH&*V8)J*WlB4I@Kfl3lJPlaqatO4*o'K(]Vh1*+e?DldGq`&3L^\=:KV;_%Y9#hKh:ZCUR>kh_t7"YI,seWO"0NICJ[gjo*hl(7+9-TmjE;@D)K.?&'ZZeriAZIJEduWHT,e#E._ghaF4".[S]&]b;=8noJpg'Pk1`=6tk02+aEONao/*O412PM-:>N>dV%.A(s+ipK2l<;MD``+i`1-j_Bcq<u7@Ab:HaI]W!nCS6\t*-F(7RBY'OOZQcuk:eke,COD]+=Hm*3ZP_J_]2bb/EEICp]U[_:FR:Y27:Iq1Q9fP2nTA==44Ccs<9q%hHoEg5kD`16NhWj>N9+qmL"srK@qa<-GooAc62R1oLTu`PO\%3-9j2TUZ\n@`lY)$1:Fq_?i,KT./dA!@\CKeGXntgEf&"eIPj:?`\XMsdiSj*8=Ka!=%PO^Nm.J]Flfl^jEJ3&0F>JWY=W-P:c4@UVqB%-0rdeZ\K)EScRW`;888dlFDo\s?#&r*BjH[b!\N[[N33bnq3'UHMCo$$":VD[QQ=uf?382)n>-1E_:o'gJnmPU(n?8"8>p22=0.W,8F7ku-9Q$fCH$kTrN;R>&_R#ZA1M].['<XDA8?@jX_R$c-aa4lZC)<$^L+0Z6Pre"Th[ZJb,MD?BV[[8+FZAVE+0Sk+WQeM:V"[Nq\c:Ef+8>,7f(RnFk/-jM>m^\TgX`<f>AA=3j6GW?ZE61a@&(5#`IZ?@Tq,ZW7`+0PY?A-*j#H)&^Y;E37]l=OK^eCe)7>a.l1m*7a=j`\fo8`Zd.R1`0j+[BlJI`_<J9e?3;hYjTZEikQ?4')0@ujqOqcs#XVRPAF`<mff=A2uMT<8YY?4DUO_n$W:i]a3BTmIPY90XSV3K]4Rq)%,UfSO60n1/7f^biaG$Oa2Z/nHHDRONL[q(g'0AVMm]iDCQ+hILbnM9sp1#`(c4c@b?/%>.u8S(::TC!G835@rXR;=]iT>*66Y$%fNiX6V[.JJ$BMPi[=I9USdP"R77>`r`K7u6u]lXK0:*Y(fVCA.P:U3Cmbd,R5B7Ch1N[Ie\6FWdhjVR7k/2+]mdY:j-?1\6Lb21)F^2`S?lL7ZV;ir"qAV?`m4j^uEL=apdf9I5tmd,VIgj.@r=DLJa2Dcrd%dl?U=f?O15Ms'd*(Dpeu6qC:\:<'?;>urepO^=:=;-eI5[^\-[gqfmF2XXAHI9t_hfcMM0;Q-9kQ1M8/9jES,cb]'W=0AY?8(&FLWubQu/nUHqj/H1mX9LiYQ@!j/MVr`j**#aX*$5gfiT=o0ZNA[<3aKcqNjEV3H%-;+)eKX$9`+%oIaor$UK7?)J!_LtC$OZ(2W@ABp#ITi$E]UuksR?ffj.KsEeO4rhIHRfmap"FrZ(_*&%"+S]"X[;SiWp@0-G?%Ve+)drhnR1__mCd3R+rMNgmB*(bK&`?&%GrNjL-k2c+CMb;I#(XK*Om-A(0WDY'ot[Q-g+nZMZe)c)APk=)7XM^chfF^Fe.7d5qRCJA'i;h;e`Xj1s"T.aC(;h*TPrE/'C%i;hE]CDrb>^#4iQk_Ai>ukPVjHgK>PhEl6.]Xi#nkq5(0"?kWNT]%LcZd2'%AdsP?E(7<G&+8NUGqgK<0ip6,;D"mVD>.ZWLWSYo#4eiL(i/5`T/'&3(0AfjS<AR&*K4Fr&H;"NRYjSgnf5Xeqe.&Be>r@3`*QXN];'eSi&P25.S'+pDoY#b0/hZ:'uVHe[.1jCGm,Q\"?u,n>a]eQ[;U`H#lGDA#kd9`SWPQ2ID<#Fng/qQZo1e=D\Pla\D?`\AJ?sZ3tffghU6JF15=j6N"N1E8sY]RHX:p;>mSgL:2(]KmL-'n",:*H_-OWkiQ>[))>l2c)&XbHu__2c[3.g;Q&7j=e6NKCSpp>k5<gG*dsip=51Bf1ASbn=,!F<)jr,`o4r91gg<(fc?*3+O'(fkMpTdZq6aFj0@,b0kiX,dI6C<E3agZ*hjdlu]]!UOQK6']p?d6;\D&fiYKY2]S<YF$%4GOiEn<AL[P)UHl,`P6.]PA+h,@7)57'FJ>C&I$q/q&u[iOV,E"7?0SM$u#bcQt82#HVs?Z@d4YDKpIm]OWRiG>Y]T=W"_X49e<V78;7MPf[1.2.HKHS#s1%djKjX]?Zkkr*(?Rb^+3j',OS>8trBkMFSqMQa]'pTPM-8tMC'<Q#Hl\D#jooqU`ZMGcUX7ScYca)J\eBeEDeUZcmggMTL8ZrM$"6?TZ01RYOGRFRn:^/mAhLW=290TNTn?T7:0cPd/KF3*0<h4di]S]oJ;%ZHZ.s#hWmTri=.1*+D7D8o0e21O0!c='cQlWdGJZ[p,34>PaE?3F=-B/=.KNb35g\^-eh>ZN`MBtbU,l-2EjXLsF)]]sW$D__8\\Z/ZEHc\mQhJT<"Nf6l15H!S6mp`0gD*B\WhO0X?mm\MM[(."@rDCUQF"L=qod_C:B!qMW'B\s;l1qjdTC-%mFF<%l^>rLGo95!oqt8"[L9$pW-Oe>EBCsoloHF%ulX\39J6G-PU,tV`B[4tqg+TfL%ZfufVkOD]_9dh-(-3=HLE-T4+.PmiI,VLpqrT-^o_r;`*M[J,AWO#9Z]AX(pq_S:krjrShp^[2XE;sE]N"g:+rHE(q0WO2O'AP.lRb.EGo0%PjcOrcI"Y&b8E`Ur7;'+UVSU3bSZ/u>RqHJP(8f()2K%$um7k4#Cl;5#>+8<&CeI]Cg7)Ga\+Z]Fl>-R%ML(aW;e-nCe(!+WRh4k%Su1!ufnWL=[5JWHZAtg3/\bkr@@\QK6@0FBA0CPk!t\]pErV5Jp^-#+4Ra=!Q/sX4Re64#Q7Dlur&dm6YO/EV=b#0KrnRV2d%.*Gqc5ZCK';fUIbb'SG=?YL[mtX0+74=106Budpl5/m\i72G`r3IZ2#Rc/rOOYnG),HS$V0q[a\V]Z4XgNLpZX?^\a(*>BEb0i$tHXL);6>'U)&@JB^X7'm0L'0-)264+1,BgJ/o`c5u0lYd=\+tkTS@&F?K1l/HRsMAYDU_M)8>ur18AF5UgJNd2elAZtF&IG)0<04eoVV-aY)ETU(O?BR\?W3WO8O*<eS;:IYhI6_K3)@F4Vn'XS/0TpCBQGR;c-8^S/We#R$CZHf^QcnaXKBl2r)@*eNC"q2>&0OV_LK*D`$(bf@6_1Mq#$lC[+@)7I""q2>&0OV_LK*D`$r\.`rBR\;L]cL+_#I=53^Y*ZM9`;C5C/`&r)24aX,JZg._tDYlM"&mg(k0(5)'0]G`ZMA,`(,QSggU'G!&O"pknWXmXcXX-*Nb<l%JONqG(P_-2]\RIg'tN)fli!^BJpm(=kX'=T[e4<2eW@8K1Xc+*MCf'%/4ElG(Vg/1EE.5g'kH(a``:cBJLU$);5LCTZ)),`.Tic5(a0qKKatVTs;%W&"oa0T`Q(pKq<*tK+*GB__sF",9S3SZ*^bB%XA3qgHlf6G_(h+H3\3tH03-#m:&&rf\91iL@GP^bA.[aL",rQ:@/@SCi(^i"8mjZgHlr:Gm:q663/h^-ICE")QEB%NO0gl#3(%?(A;9U70*=?"2<caD4q<)hEe#TTa/5aLYciaOSJm(d?7^9dIbNRZlh.[+[=52+L<4ICs@sHD$V-&f\9,:J1QK"2UI+.r]m)6N6S%"7@P618<CfP6GI@C<8)X_D$X)=Z4+'LXA'<ILM4t=G(^Ungbc;pX!&u9jb^#\hrHYoFca"mkK#WEHH:>m%sWA/J[,@QOX$;sOI+$VONik]a;2iB82eOiO?_e]89W&gOprZdaT:')A;'<"pUb**OB9LS,S!@]U'n7CBL1^0OPTh%U`i81Z3RZ@'SN1s8jW/<'bI2aL8#*PjgBnX^$tDAEWC,%EX6[s3<<"pncnmkUaY:UEXZt$ncEhOaEutg+WldV5sHM?6V]pB6I%jAK:I[FJ6[l"+f[h-<8%m@''(83VI2<86YVr_q5i:^j;R)/\I1ed1l&%2Ruh_WgQ5X$Wd*5/dKae!kX3`++^.9D!N:^Z2UI+d4$mP2Se+)CfH2%Spt.k,pt/><YBV..NIgW*%ul5Q%ul8(&,1YLnZY28U%,@<iUO.BZc;Ju%ul/1jU[?(pCE7:'7SoeK*D`%(bf@6_1Mq#$lC[+@)7I""q2>&0OV_LK*D`$(bf@6_1Mq#N#46V%M*:R!!!!*J,KKM!!@F^zzzzzzzzzz^qi8P!!!#7
rcs0 --- WA context = 0x00000000 ffffe000
:bjCpF+Fjp+?f?YP$5u'Z'OaI(!d:e<"*%C7"9NUF<q_Jg\M"]lecG2D#AM3iV9>CSk%16=3"9;0ItnHhnZr"/$='W)TklZqIU%5s&JNLE&J5Te`VC)X$jZ2(!!!#j
rcs0 --- NULL context = 0xffffffff ffffffff
:SaDqlj]#1e6/T`:1fQ;0;:I'N0i:M>W<gTXC.W+&AOWS19h\FK=NUlobJbGL;H#nZ.Okp+Lk*h`jpX"sSQj8HQmtbQ;1qn-bfb`<R<e8f9cY9><k$Y^DpMYRT==RjR=1KOl9J^iL);'O@>5V-(h&.9cgG4rO&e`O=kVA3&O$O_0Z,b\$o#R-_[J6:Sdg0'!j*)Y9[O2.>*k*p$@>PS9,9n]X!R7gK=E[Mnp_U$MR=M1fN2f$[t/]?G0%;504blrSa!.7qaGH#`$F_G@Ndg\/a$:u.,gqO^t&QH9KH]m?XH\CS<*IBX&kiV$\!32@4F3Lh='>&^E"SK.8F'YQIURZ*Ase_Jh>TUB.2@/o?N4JcH``n__/GBb-fcqk2Gk:qSJ1XnT\rS_qA'Clm&_E0#KaRL9)o0fQU`Z]nH(](YBg;huec.4<ST/Nr^:11#R\9(cXME^kW>iNWu^r/RMUn'=*Yu>qTR[T"(j$kniF.Z?87?$a@q-@B0b%p:sch#j_YtYTC]oqZZ=65Hql;`U<dH4s.B7\87cAqo_(9B1,U!!:0q1p(,pd#j_YtYg1'H4bg$G#M:\<iVeK(31`)U"+2TnE(u(i%XY>iUP$n$VDr8I\Dd,>Gl(tT"'u!f)th%.G/=apGVJW<m=lS`hrUht80:!:P?['H<lFroMP9]0=batgCq%k&_$T!\T!Y'\Y[d?7gc53fica1UDmpV+ZCWFTUV<A"U,@@rn:.n,M]=mjHP-);ZGVcXm"a7Wm%/YkYYP"M])q=T%G5F4?p09gp']MKIpmbV"<IP&i5<D:3%48.NrpF/al.l)"rmnf3!eGX(P[qW'(@WkLQ2j(n29,;c4r<b*8n/R_:B,Vn6P#-r',F44rAYL:P>>EMr<d9.ejbJ-E[Gun=(Zsh0tt[K:FT@i)dcKf8]:#k^U>8($0AJrB]m=:^/'bH_Sff2[Xe!\P4HW_G8_7]nH(](YBg;huec.4<ST/Nr^:11#R\9(cXME^kW>iNWu^rB],Y9!uq>di8]AAlQJ64HaB?RXuo\2T69pS53j6eD:UfA2XA`]Xg_%;[>k$`m[[as?cK"JLmf<^5C7mX>n[YWg]rkESXm>rgLIp96g^VF7ZB2Gr!0]53c"\1q%$M^]jT/)qO__uG)71*-Z<jGXR9k-4&rm7=t*:Xfq@c-j:4N5NI($14nrJUn+j#E%_pm\IWrYN_6Ka%ZCI)#.W0*PkFMC>Vq3K]1nB&u]#\&jDcK8\dFCr-M:oL:b*e\AT53qtYqNP>?UgS+$DTFD/8kqtIdafgpEk_8h\mS]5(8PM?I(L=CZiI>4Dtrm'/_fBNRuqMh%oL+fIq]XrF5@md+&[&YP-A[&,uCJ8r8&0RJPalST'F`-$?tB&OkmR`>#3o)<8B$m6GY[X%PMWJfR8pZ/().W7$?(&%7"mR%Dm:?onGY^O.9?*aX-P[-K`u=mJ*HKQa"J3-Sc$YCXt,<<(L3XQLOeI)5FO%Ke[tJ\_SA(cXMEL7\mGi>9>V%mCG"X\41O+S*AZo"kngmGAm#c@k*<lRhBdmFZ+M"g[GG-B$WWs'L-aAr0Bgj$Oir%XHVCT@A!ontt5gDO(8#M+&ih0)Ng9cB6nNPM#t`SWUtT[CYp/p>#DZf43\rFZ06NrOkpiKNJ%W[_ABi]gHRQF1"d[Fa`&;b-UhePm-rmU=fE/QfDB*'[FSn:&d3!/Jc\(C&,_)9[5jq9rM?%?>.oYVDYX4ZQ>r0W#T3aCAF.EDV[NudH6fUjeOCcNG=Hlf4A='gtb;]bg0@N<-i*P\\kkqoBN6?SX.\ZT18fTP[@'>ZHT"ipig@=&Z+I2b(R>iAIU.MO*8!YAsY^*G.Eu3?cpd`$$in+B.9h5Q?r*oaELo2SElj(:>>ER>Pc%2<D'*pWlee1b&'mOC;i#j/SF%%c3NeUrb&_.;^fSCHMNPH:24*IS^Ogq=fl;jdH>T!Jk?d'eT/:U?15)Q>h$3'mSS6(D^V!g8#Nn([!0/kHPcKh[<X-/jllSjR-M)Q)TJ6SVq77D2;,GcDYF$X)eUKna\<PsPC.ZTlRaRUq<JaSPmd2QCne6sH%-gWH.doHN#0T"*Db6lVL%BnLXXYq?G'19rc"C,kGR0gV.EB0LqdOjBAV=+3;Fp+4eC`1/=5<WTt\t$AS+l=/WReq1a,((E^K*:%RoE&j0QGangJ@@Fe;)Y>6S(<Y1dc8SH^OR\fX\.HSbDiMM3Y<oMBAOEMIj1U5<JiSDVNakJq8CIQu4dS(2sE<B&^")V"50pb+`RXH,ksJ")IXQ<ID;QX6dua*">o6Q[SdWL<-ZPuB#p.&pCs=(dGgqrHE04o\eS?KNJb81UlG[J5&.f(.6bq-I4Jfj;.)_a8FDh\8#a\uI1f=DUk2;UM%1"M^mJ9[r)lq4$\=27^*cac8$,kA5IHVE"aSK3`e.jXU/%AR1896Jj_6M[)!*C8[DURoKCaPEQ[G9^j_TZ0,8eBs[29O#hu_%+9KJE([m'n[)M)>r8k+['?_PJU(C6TcMS-jWuO#?8)e5OW58mD)%OF"%W.,Bd0&Djh=@5<GU[/.C04-j*<OEBDVE;=)rA),BlAsk34hT14p:fQ"R#1lh%b3)h+H5ZS0Y.LJs.JjZVM(b"bEPAIHN4Y+#&VbGR5[?$50*q^ILkjK-"Za^7Y!Od"mo7<<\&]_c[>Xu^t`VVS).lh&q:oi1BhG3dDA'XCfd=8P8%)-,7"`<Hb:MUAbXPOc^d9k/WtI;7rolcn0I,lI3l;KJFXbN.C)>lhUl=/Y+3VRNR-C.WQX9;XqLUfg^^Z$k1TU713&rMRMk1RgM<mr)IGoV^3+Q@1u&e_59qb9[Akm/4broB7O1qgQgODaDcA-66BaOn7IhBMu\'Z6%:f!QSBn%R!%sI8&+g0+:X9D#5m,3m+l'l]f;n5*+l*WFd`rr1tgP!qVh\*R/eP^V<lignFRfp^cc[\mNspqK(rT0\9=IP/\m]@/-Q2R@SlJ)m0@LPQm;n6%6G\Wj9eA2i3^ib[6(tMW-\bE+*lpTii#-D0e1FC/F#DWV/VDe>5^QDH!R=RfiB!5>S/s3]!4>H<"`9GDg]3c-d4t'dlUTfe::pqH2g(b:A:'[8r#\HUE6hl$E9#oWifO+'ZG0F(VDlHt&q\0tmDQ]*@ZmUh:@.LPA;72EsD&ND%s%n%JTRMgr:P`N9LFVgY^QaP,?RCk$d"='SUoG#tS$J'n,_]5D%A[OXF9F59[TM0UP1.<>dpDNGl0Zai6@+$I("G$Ku*lbo:`AW[_df(l/g)6046`Ws8hf,fPFO"#!5]Vf.#mS`]?LY9u+QIJlOPZLL.Y<T\aBV@@&YMP:9a\k5D1/OC/L[_+;1U4Z]]aSh+cL[4c'u>`cgV9eIG=/Yo-dcu]<A+_og+P@ejZKZlb3@;Q,*M=7iFDo.'-ZX:9$`b1D(N;2rbucR/UZ0,bmJiU-*^B\pm-fPrV0V=[KkiY'm6nK\?6U<WE?=Wr']Rkk$8Ku6"TZ\qgMCF9<XmECH>cqoUtSOAhA:l<c=j)o?+EM]JD_Y0e4fPs-^FqCq&:n*s(\QXm\,"3NC9E'_6B%!VJcXJ^q('-Ri*:h-O8tjR'](OIAnF:[0`S>/d)%6PU]S\?;MskskKoIS60iHLJ/m=iJ`r?.Q&DcmA\_Im/d=gsfVGT<5\`gPTm&aE]Q[Q)'JA0OO:U_fXM<P5(J!Q0Yi'2tXdZ%P';l<n4W)Cd%$$dHf_#(88VA;tI9#f3a@l^(28cdOqi2p[5ug*?NUMde[4W#_'65;*ITMaP)no4U:(s53d2%pm)m_=\DKe(7L3MDS/3GoZ^E7o4g_C,j,AIc#XS$Mg9qp^R+rCV8;n/<@pA!Pc#89`T,,-h:j\dH+$c/@Q?l5fI,8,&%VZuo'6ZW95_l]bPns+%pt8Or@,1fk+uO@M8rOp4k6]nDA[!YYsjR872@?%[%a-`3\"Uno#Io`Nsf12VInD>B@SQiA[hP3_Ygh7bf%(k<V:D,IC/6G(^>a>h4_JW!T-WBPPYNkonQ$8r&33\qfU?9</q3B+Zql:D5fMHdB7La195)/QcWqf3h1pd)d=0tlnUH462_Me-U!LMZhETT0e\7-^1WT.AcDV.*nkbH@3'lAFrAp[IplW6"<IP&i5<D:3%48.UOnL3$ucC/gpgJAEl2^;qj%?WR/(,S!Mf&ZqMFL&R!OU!q1]cPd3D;6CO`MR1`Ra.r\TUYG,F-5D&oU[g7'I)Z$*"tC2I7UB'i=#eD%T6VmSE(;e>>j^=:g49u"(o%oZjVD$-cCoep7DP^8f);e-nCa/Q>)2Smnr3h'[QZOWkNFZ)+VFWF20BX7G\'=ZRC_+/"0NtS5;Lu<X.]it3sC9JC[9&.&Xn_Z";HJEh])hB&l"PSEU)R+I(ArebI_f2C?DB.5[)hb[$E)sUm\2!bo*.1'2!C$[(:RF7':VfiDC(Cckg`<n/pqp,R=>;R29DQmY*85i:fR"V(SV2.e"k[HqYgnGNHOfB](U0LH_YXH%490@"LP--C;;`\8#!<H9_ZpDf3"Y&4&\us+%3-($m&OfX&_I=s@@`!n<Ya7'40WV?_Ku=Mljp=,!Q4dB&3(g%J<'mUn3Ol\*#s2?6\\AF"'@88E)FD@f*&`CLQ2ij]3_QP]kVZogc]3`Br/I5L)L$$@>5V-(h&.9L)=?R@>5V-(h&.9L)=?R@>5V-(h&.9L)=?Rq]K\MG`64-lOA10Fi\msp=N";0*tW7qAXk-:jpPCs*VP;Po,!)L\p6'7&\$!R")h7pe$K0gr'*[!,(\MR`j4e<nDNp%MrmeG!gi62k?&)faZPDgNGr(A2^!?@G)*VOOnYC=(F1Z5Z-2DSWM<D%2WP3G!eRK1S'WRfaQJCbB?6-A29^;+k[9jON2N3=(F%V6P7u[0V,9sq%VRoNNrs9$;gY[>o`tAc&K"XP\u^A`n;'o-`%'FoamId;gN7sU%G1QI5X")g;;\qZ*mti?das[bL&CR:bO^bKEEY#MqDUKm"C^igZftXq*MaH73H.\Q$KXC0P)0nOg2>`:l"=1)e;j$Z7%Z$'V!d<Cm5%tAN'FCZ*m(HLNuT3[RDh>nrJ($@0>UTgEoL/)+8s!Ci,;-:Dlq,D37)OjAI=@`lQIrc&K$[PUFTf`n;'*s-+Vf`b*;c1sM#c3(e;8O^#7_Pc+IuNNstY/BUZ2G-Ic7ALI@8c1MXVM5+TOP^/M(;uWNe.)3]9.#TM^.F455U;`A%`-]E$PbjT\auGVsPi\-rb'9-cPa.J7aomr/P_gj(PVn]Uas<4Zb'M2k,r/'sq+?g(8Oel3^//@<R42gCIh:9IZC<-bfgCpZa[4ZS[Sc+^nklhn!D5C%'IcgHhn,3*G#3?[G#<E\MGX"Fh^Nn#m&.Qp*2i.u*2FRIq*=kParg2:Pf&_]-q>_Y.*!c,:qnI";GL%`.>gtt'[r9m%/<fT2FT1YR8&uTfk*T_jWaN%V)%-F;MB.M(ndj'f-scLPpt<5S!4kVObtWQTrCaaFeTYm[RCiDfa+qs;)e,E_"dC&n_f&[n_h#f?Dnq(a+<d>_rJQ<_rJRVNVu[:+!([-gCK>JpCE;ga,i/D"<SZi"ksQKn95D(11n5@$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Q$o#R-_[J6:0Z+;Qo%:hgG^48C!!!"\
bcs0 --- HW Status = 0x00000000 fffc8000
:c0_$G+92lp!PedG0E9t&!AuS8BeK*goL>jL1O\VKbut%h!)L])mGIsE!"k1j!!!![
bcs0 --- NULL context = 0xffffffff ffffffff
:dd<QL;*n&%QgohJ"$2#q,qq8o:)jgM+@(JZVZmD<(cRrf%-@a&5_/t>A5!go6''EGr,qcg3F?"mRtF"f.K@:2S_j7YG'gR%8lCnu;O"",I\eJc(AA[7-I_b_8lDFU;O"",rhV&9.g>f?m?+ICPI6]YY5UK'T%>!:c>L5<=s[&/_-uTsF#)NFi`mdgo=;Rc([(8SK9uN7q>?8o4k:OVER$`*\=?KPT"K8mq)<6LDkER![TWRphb3sjrk_4`a_Kb3H\AL`Bc"=LkC9IINuk%K%KVX$\UA$D$p/&:G7/EQQ8*oped7;>Ce]JbfK1$\nb+$CJ8n?f$LpeW7gALeS7@>!?Y:)2Q[cp=9':L";O"",rhV&9$t9Im!!'hj
vcs0 --- HW Status = 0x00000000 fffc1000
:c0_$G+92lp!PedG0E9t&!AuS8BeK*goL>jL1O\VKbut%h!)L])mGIsE!"k1j!!!![
vcs0 --- NULL context = 0xffffffff ffffffff
:fBo)Q:r?&%e)?#uU'Lgr:mNS(9T>%Z;FVuUJMAl6:lJ(5(*GknW0jN8+@)<mET#;B#SRM`JaNSWfDAqp,S16qmt_NJaZ7[)WW(Uc.8"Z\8lCnM;O"",_r-lrIBFU'8lU#O;O"",e>4TdE%bo)F44R*m(%!q:\e>9FMu/U:%cfX_b%CC?l?-u`+I"s/ipp7c!LYDqtKg;O8eLtZ9+ZT3jW,b3&cb>S9"bLQ'o@T5HBkBSOU^>ep$`=h>+?tfIhVSDJG0oL73CAI.t$$N5N,oN,X`$<hnh,Pm;N@0&^\3*F]iiKs?R]0#Tjm5/ArHa,"[E*$^&[Gisro_)Rd4MK$dTk?eubs3C)6PbiF]V(##7[@:'Y1,;K(!!!"S
vecs0 --- HW Status = 0x00000000 fffba000
:c0_$G+92lp!PedG0E9t&!AuS8BeK*goL>jL1O\VKbut%h!)L])mGIsE!"k1j!!!![
vecs0 --- NULL context = 0xffffffff ffffffff
:dd<QL@09/rkOHS0iJN6F?3V2M+L#fe@:<\%6pY6i"l`s!`%]#[@;rHTY[G:U'\jV/0NcZk&,>VgrU$4:!sg_%/be4VpQ'Znc5uG!Pbfg&V(##7pZbY@<1,EM4B86,;O""DPbfg$O8V[KFXn)Jfklj`Lj7<VlM'PEDJaLJb5HA3ok;hN[hB]S;ljTj?QA)WD]R*mjM*p.7QeHKGLu;l(@SK6,E-S[`oq@mI^NSOM4=@V^R<]T-TQ$nn9s2dR(CRQgl8k!gpK8n;J>[:UW`s;fuuU;[=pc9gg^RP0MH?!=Cs>-iN->$J[*cI)e!PWa,"t%jrVLoGScBb`k6_V^p+@MnG_%eB0XAm8lCnV;O"",!C"23dnu\W
Num Pipes: 3
Pipe [0]:
  Power: on
  SRC: 077f0437
  STAT: 00000000
Plane [0]:
  CNTR: c4842400
  STRIDE: 00000023
  SURF: 01240000
  TILEOFF: 00100a00
Cursor [0]:
  CNTR: 00000000
  POS: 00000000
  BASE: 00000000
Pipe [1]:
  Power: on
  SRC: 09ff0437
  STAT: 00000000
Plane [1]:
  CNTR: c4842400
  STRIDE: 00000023
  SURF: 01240000
  TILEOFF: 00000000
Cursor [1]:
  CNTR: 00000000
  POS: 00000000
  BASE: 00000000
Pipe [2]:
  Power: on
  SRC: 00000000
  STAT: 00000000
Plane [2]:
  CNTR: 00000000
  STRIDE: 00000000
  SURF: 00000000
  TILEOFF: 00000000
Cursor [2]:
  CNTR: 00000000
  POS: 00000000
  BASE: 00000000
CPU transcoder: A
  Power: on
  CONF: 00000000
  HTOTAL: 00000000
  HBLANK: 00000000
  HSYNC: 00000000
  VTOTAL: 00000000
  VBLANK: 00000000
  VSYNC: 00000000
CPU transcoder: B
  Power: on
  CONF: c0000000
  HTOTAL: 0a9f09ff
  HBLANK: 0a9f09ff
  HSYNC: 0a4f0a2f
  VTOTAL: 04560437
  VBLANK: 04560437
  VSYNC: 0444043a
CPU transcoder: C
  Power: on
  CONF: 00000000
  HTOTAL: 00000000
  HBLANK: 00000000
  HSYNC: 00000000
  VTOTAL: 00000000
  VBLANK: 00000000
  VSYNC: 00000000
CPU transcoder: EDP
  Power: on
  CONF: c0000000
  HTOTAL: 0881077f
  HBLANK: 0881077f
  HSYNC: 07cf07af
  VTOTAL: 049b0437
  VBLANK: 049b0437
  VSYNC: 0440043a
is_mobile: no
is_lp: no
is_alpha_support: no
has_64bit_reloc: yes
has_aliasing_ppgtt: yes
has_csr: yes
has_ddi: yes
has_dp_mst: yes
has_reset_engine: yes
has_fbc: yes
has_fpga_dbg: yes
has_full_ppgtt: yes
has_full_48bit_ppgtt: yes
has_gmch_display: no
has_guc: yes
has_guc_ct: no
has_hotplug: yes
has_l3_dpf: no
has_llc: yes
has_logical_ring_contexts: yes
has_logical_ring_elsq: no
has_logical_ring_preemption: yes
has_overlay: no
has_pooled_eu: no
has_psr: yes
has_rc6: yes
has_rc6p: no
has_resource_streamer: yes
has_runtime_pm: yes
has_snoop: no
unfenced_needs_alignment: no
cursor_needs_physical: no
hws_needs_physical: no
overlay_needs_physical: no
supports_tv: no
has_ipc: yes
Has logical contexts? yes
scheduler: 7
slice0: 3 subslice(s) (0x7):
	subslice0: 8 EUs (0xff)
	subslice1: 8 EUs (0xff)
	subslice2: 8 EUs (0xff)
	subslice3: 0 EUs (0x0)
slice1: 0 subslice(s) (0x0):
	subslice0: 0 EUs (0x0)
	subslice1: 0 EUs (0x0)
	subslice2: 0 EUs (0x0)
	subslice3: 0 EUs (0x0)
slice2: 0 subslice(s) (0x0):
	subslice0: 0 EUs (0x0)
	subslice1: 0 EUs (0x0)
	subslice2: 0 EUs (0x0)
	subslice3: 0 EUs (0x0)
i915.vbt_firmware=(null)
i915.modeset=-1
i915.lvds_channel_mode=0
i915.panel_use_ssc=-1
i915.vbt_sdvo_panel_type=-1
i915.enable_dc=-1
i915.enable_fbc=1
i915.enable_ppgtt=3
i915.enable_psr=-1
i915.disable_power_well=1
i915.enable_ips=1
i915.invert_brightness=0
i915.enable_guc=0
i915.guc_log_level=0
i915.guc_firmware_path=(null)
i915.huc_firmware_path=(null)
i915.dmc_firmware_path=(null)
i915.mmio_debug=0
i915.edp_vswing=0
i915.reset=2
i915.inject_load_failure=0
i915.alpha_support=no
i915.enable_hangcheck=yes
i915.fastboot=no
i915.prefault_disable=no
i915.load_detect_test=no
i915.force_reset_modeset_test=no
i915.error_capture=yes
i915.disable_display=no
i915.verbose_state_checks=yes
i915.nuclear_pageflip=no
i915.enable_dp_mst=yes
i915.enable_dpcd_backlight=no
i915.enable_gvt=no
GuC firmware: i915/skl_guc_ver9_33.bin
	status: fetch NONE, load NONE
	version: wanted 9.33, found 0.0
	header: offset 0, size 0
	uCode: offset 0, size 0
	RSA: offset 0, size 0
HuC firmware: i915/skl_huc_ver01_07_1398.bin
	status: fetch NONE, load NONE
	version: wanted 1.7, found 0.0
	header: offset 0, size 0
	uCode: offset 0, size 0
	RSA: offset 0, size 0
Comment 8 bugtracker@othram.com 2019-04-22 15:21:37 UTC
I have updated the libraries to 18.3.4. I also took the opportunity to upgrade the xscreensaver packages since the problem seems to only occur after the screensaver has activated. I will report back as soon as I have any issues, or in a couple of weeks if none.

FWIW, I have not had any GPU hangs logged since the last one that I reported. I have had occasional screen flickering issue that resembles several power off/on cycles in rapid succession, sometimes one or two, sometimes several. But that could always be my new monitor, especially since I see nothing in the logs.

Thanks!
Comment 9 bugtracker@othram.com 2019-05-03 14:09:59 UTC
I have experienced no GPU hang errors in two weeks, so I think upgrading the Mesa version has resolved the issue. I am updating the status to Resolved/Fixed.

I am still experiencing the occasional screen blanking issues (it appears as a momentary power interruption), and I have seen it on the laptop monitor a couple of times, as well as the external monitor, but I am unable to correlate it with any event, and nothing is logged. I would conclude that it is highly unlikely to be related in any way the initial issue, and if I figure anything else out I will be happy to report my findings.

As always, additional information can be supplied if needed.

Kind Regards


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.